<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function edit()
    {
        $setting = Setting::first();

        return view('admin.settings.edit')->with('setting', $setting);
    }


    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => 'required|string',
            'shortname' => 'required|string',
            'mail' => 'required|string',
            'numbering' => 'required|integer|min:1|max:3',
            'pagination' => 'required|integer|min:1|max:2',
            'firstname' => 'required|integer|min:1|max:10',
            'lastname' => 'required|integer|min:1|max:10',
            'start' => 'required|date_format:H:i',
            'preregistration' => 'required|date',
            'registration' => 'required|date|after:preregistration',
            'end_registration' => 'required|date|after:registration',
            'first_semester_start' => 'required|date',
            'first_semester_end' => 'required|date|after:first_semester_start',
            'second_semester_start' => 'required|date|after:first_semester_end',
            'second_semester_end' => 'required|date|after:second_semester_start',
            'attempts' => 'required|integer|min:1',
        ]);

        $mail = str_replace('@', '', $request->input('mail'));

        $setting = Setting::where('id', $id)->update([
            'name' => $request->input('name'),
            'shortname' => $request->input('shortname'),
            'email' => $mail,
            'numbering' => $request->input('numbering'),
            'pagination' => $request->input('pagination'),
            'firstname' => $request->input('firstname'),
            'lastname' => $request->input('lastname'),
            'start' => $request->input('start'),
            'preregistration' => $request->input('preregistration'),
            'registration' => $request->input('registration'),
            'end_registration' => $request->input('end_registration'),
            'first_semester_start' => $request->input('first_semester_start'),
            'first_semester_end' => $request->input('first_semester_end'),
            'second_semester_start' => $request->input('second_semester_start'),
            'second_semester_end' => $request->input('second_semester_end'),
            'attempts' => $request->input('attempts'),
        ]);

        return redirect('/admin/settings/edit');
    }
}
