<?php

namespace App\Http\Controllers;

use App\Models\Setting;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

class PagesController extends Controller
{

    public function index()
    {
        $setting = Setting::first();

        return view('index', [
            'setting' => $setting,
        ]);
    }

    public function home()
    {
        return view('home');
    }

    public function administration()
    {
        $user = User::where('id', Auth::user()->id)->first();

        if ($user->authorization === 3){
            $setting = Setting::first();
            $subjects = $user->subjects;
            $examDates = $user->examDates;
            $userLessons = "";

            $colors = ['amber', 'lime', 'cyan', 'violet', 'rose', 'lemon', 'navy', 'viridian'];


            if ($subjects) {
                $userLessons = $user->lessons;

                foreach ($subjects as $key => $subject) {
                    $color = $colors[$key];
                    unset($colors[$key]);
                    foreach ($userLessons->where('subject_id', $subject->id) as $lesson) {
                        $lesson->setAttribute('color', $color);
                    }
                }
            }

            $now = \Carbon\Carbon::now()->format('Y-m-d\TH:i');


            return view('administration', [
                'lessons' => $userLessons,
                'setting' => $setting,
                'examDates' => $examDates,
                'now' => $now,
            ]);
        }

        return view('administration');
    }
}
