<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use App\Models\ExamDate;
use App\Models\User;
use App\Models\UserExamDate;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ExamDatesController extends Controller
{
    public function index()
    {
        $student = User::find(Auth::user()->id);
        $subjects = $student->uncompletedSubjects;

        $notifications = $student->notifications->where('type', 6);

        foreach ($subjects as $subject) {
            foreach ($subject->dates as $date) {
                $studentsDate = $student->examDates->where('id', $date->id)->first();
                if ($studentsDate !== null) {
                    $date->enroll = true;
                } else {
                    $date->enroll = false;
                }
            }
        }

        return view('exam-dates.index', [
            'subjects' => $subjects,
            'student' => $student,
            'notifications' => $notifications,
        ]);
    }

    public function enroll(Request $request, int $id_examDate)
    {

        $user = User::find(Auth::user()->id);
        $examDate = ExamDate::find($id_examDate);

        if ($examDate->capacity > $examDate->occupied) {
            $examDate->update([
                'occupied' => $examDate->occupied + 1,
            ]);

            $userExamDate = UserExamDate::create([
                'user_id' => $user->id,
                'exam_date_id' => $examDate->id,
            ]);
        }

        return redirect()->back();
    }

    public function unroll(Request $request, int $id_examDate)
    {

        $user = User::find(Auth::user()->id);
        $examDate = ExamDate::find($id_examDate);

        $examDate->update([
            'occupied' => $examDate->occupied - 1,
        ]);

        $userExamDate = UserExamDate::where('user_id', $user->id)->where('exam_date_id', $examDate->id)->first();
        $userExamDate->delete();

        return redirect()->back();
    }
}
