<?php

namespace App\Http\Controllers\Teacher;

use App\Http\Controllers\Controller;
use App\Models\Classification;
use App\Models\Notification;
use App\Models\Subject;
use App\Models\UserSubject;
use Carbon\Carbon;
use Illuminate\Http\Request;

class ClassificationController extends Controller
{
    public function updateExam(Request $request)
    {
        if ($request->ajax()) {
            $id = $request->input('user_id');
            $subject_id = $request->input('subject_id');
            $exam = $request->input('grade');

            $classification = Classification::where('user_id', $id)
                ->where('subject_id', $subject_id)->first();


            if ($classification !== null && $classification->credit < 6 && $classification->credit !== null) {
                $oldExam = $classification->exam;
                $classification->update([
                    'exam' => $exam,
                ]);
            } else {
                return json_encode(false, JSON_THROW_ON_ERROR);
            }

            $user_subject = UserSubject::where('user_id', $id)->where('subject_id', $subject_id)->first();

            if ($exam < '6') {
                if ($oldExam === 6) {
                    $user_subject->update([
                        'completed' => 1,
                        'attempts' => $user_subject->attempts + 1,
                    ]);
                } else {
                    $user_subject->update([
                        'completed' => 1,
                    ]);
                }
            } elseif ($exam === '6') {
                $user_subject->update([
                    'completed' => 2,
                    'enroll' => 0,
                    'attempts' => $user_subject->attempts - 1,
                ]);
            }

            if (!Notification::where('type', 4)->where('user_id', $id)->where('subject_id', $subject_id)->exists()) {
                Notification::create([
                    'type' => 4,
                    'user_id' => $id,
                    'subject_id' => $subject_id,
                ]);
            }

            $userSubject = UserSubject::where('user_id', $id)->where('subject_id', $subject_id)->first();

            $userSubject->update([
                'updated_at' => Carbon::now(),
            ]);

            return json_encode(true, JSON_THROW_ON_ERROR);
        }
    }

    public function updateCredit(Request $request)
    {
        if ($request->ajax()) {
            $id = $request->input('user_id');
            $subject_id = $request->input('subject_id');
            $credit = $request->input('grade');

            $classification = Classification::where('user_id', $id)
                ->where('subject_id', $subject_id)->first();

            $oldCredit = null;
            if ($classification !== null) {
                $oldCredit = $classification->credit;

                $classification->update([
                    'credit' => $credit,
                ]);
            } else {
                $classification = Classification::create([
                    'user_id' => $id,
                    'subject_id' => $subject_id,
                    'credit' => $credit,
                    'exam' => null,
                ]);
            }

            $subject = Subject::find($subject_id);
            $user_subject = UserSubject::where('user_id', $id)->where('subject_id', $subject_id)->first();

            if ($subject->examination === 1 && $credit < '5') {
                if ($oldCredit === 5) {
                    $user_subject->update([
                        'completed' => 1,
                        'attempts' => $user_subject->attempts + 1,
                    ]);
                } else {
                    $user_subject->update([
                        'completed' => 1,
                    ]);
                }
            } elseif ($credit === '5') {
                $user_subject->update([
                    'completed' => 2,
                    'enroll' => 0,
                    'attempts' => $user_subject->attempts - 1,
                ]);
            } elseif ($oldCredit === 5) {
                $user_subject->update([
                    'completed' => 0,
                    'attempts' => $user_subject->attempts + 1,
                ]);
            }

            if (!Notification::where('type', 5)->where('user_id', $id)->where('subject_id', $subject_id)->exists()) {
                Notification::create([
                    'type' => 5,
                    'user_id' => $id,
                    'subject_id' => $subject_id,
                ]);
            }

            $userSubject = UserSubject::where('user_id', $id)->where('subject_id', $subject_id)->first();

            $userSubject->update([
                'updated_at' => Carbon::now(),
            ]);

            return json_encode(true, JSON_THROW_ON_ERROR);
        }
    }
}
