<?php

namespace App\Http\Controllers\Teacher;

use App\Http\Controllers\Controller;
use App\Models\Content;
use App\Models\Menu;
use App\Models\Subject;
use Illuminate\Http\Request;

class ContentsController extends Controller
{
    public function updatePosition(Request $request)
    {
        if ($request->has('id')) {
            $arr = explode(',', $request->input('id'));

            foreach ($arr as $key => $id) {
                $content = Content::where('id', $id)->update([
                    'position' => $key + 1,
                ]);
            }
            return true;
        }
    }

    public function edit(int $id_subject, int $id_menu, int $id)
    {
        $subject = Subject::find($id_subject);
        $menu = Menu::find($id_menu);
        $content = Content::find($id);

        return view('subjects.menus.contents.edit', [
            'subject' => $subject,
            'menu' => $menu,
            'content' => $content,
        ]);
    }

    public function update(Request $request, int $id_subject, int $id_menu, int $id)
    {
        $request->validate([
            'text' => 'string|nullable',
        ]);

        $content = Content::where('id', $id)
            ->update([
                'text' => $request->input('text'),
            ]);

        return redirect('/subjects/' . $id_subject . "/menus/" . $id_menu);
    }

    public function visibleOff(int $id_subject, int $id_menu, int $id_content)
    {

        $content = Content::find($id_content);

        $content->update([
            'visible' => 2
        ]);

        return redirect()->back();
    }

    public function visibleOn(int $id_subject, int $id_menu, int $id_content)
    {

        $content = Content::find($id_content);

        $content->update([
            'visible' => 1
        ]);

        return redirect()->back();
    }
}
