<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class Attempt extends Model
{
    use HasFactory;

    protected $table = 'attempts';

    protected $primaryKey = 'id';

    protected $fillable = [
        'name',
        'text',
        'user_id',
        'test_id',
        'points',
        'max_points',
        'subject_id',
        'created_at',
        'updated_at',
    ];

    public function test()
    {
        return $this->belongsTo(Test::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function usersAnswers()
    {
        return $this->hasMany(UserAnswer::class);
    }
}
