<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;

    protected $table = 'categories';

    protected $primaryKey = 'id';

    protected $fillable = [
        'name',
        'parent_category_id',
        'subject_id',
    ];

    public $timestamps = false;

    public function childs()
    {
        return $this->hasMany(__CLASS__, 'parent_category_id');
    }

    public function questions()
    {
        return $this->hasMany( Question::class);
    }
}
