<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class Content extends Model
{
    use HasFactory;

    protected $table = 'contents';

    protected $primaryKey = 'id';

    protected $fillable = [
        'text',
        'menu_id',
        'position',
        'visible',
    ];

    public $timestamps = false;

    public function file()
    {
        return $this->hasOne(File::class);
    }

    public function menu()
    {
        return $this->hasOne(Menu::class);
    }

    public function test()
    {
        if (Auth::user()->authorization === 1 || Auth::user()->authorization === 2) {
            return $this->hasOne(Test::class);
        } else {
            return $this->hasOne(Test::class)
                ->where(function ($query) {
                    $query->where('type', 1)
                        ->orWhere('type', 2)->where('date_start', '<=', Carbon::now()->format('Y-m-d\TH:i'))->where('date_end', '>=', Carbon::now()->format('Y-m-d\TH:i'))
                        ->orWhere('type', 3)->where('date_start', '<=', Carbon::now()->format('Y-m-d\TH:i'))->where('date_end', '>=', Carbon::now()->format('Y-m-d\TH:i'));
                });
        }

    }
}
