<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ExamDate extends Model
{
    use HasFactory;

    protected $table = 'exam_dates';

    protected $primaryKey = 'id';

    protected $fillable = [
      'subject_id',
      'date_start',
      'date_end',
      'type',
      'form',
      'room',
      'capacity',
      'occupied',
      'user_id',
    ];

    protected $dates = [
        'date_start',
        'date_end',
    ];

    public $timestamps = false;

    public function notifications()
    {
        return $this->hasMany(Notification::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function subject()
    {
        return $this->belongsTo(Subject::class);
    }
}
