<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Field extends Model
{
    use HasFactory;

    protected $table = 'fields';

    protected $primaryKey = 'id';

    protected $fillable = [
        'name',
        'shortname',
        'years',
        'credits',
    ];

    public $timestamps = false;

    public function subjects()
    {
        return $this->belongsToMany(Subject::class, FieldSubject::class)->orderBy('name');
    }
}
