<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class File extends Model
{
    use HasFactory;

    protected $table = 'files';

    protected $primaryKey = 'id';

    protected $fillable = [
        'name',
        'description',
        'filename',
        'extension',
        'content_id',
    ];

    public $timestamps = false;

    public function content()
    {
        return $this->hasOne(Content::class, 'id', 'content_id');
    }
}
