<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Lesson extends Model
{
    use HasFactory;

    protected $table = 'lessons';

    protected $fillable = [
        'start',
        'end',
        'day',
        'type',
        'subject_id',
        'room',
        'user_id',
        'capacity',
        'occupancy',
    ];

    protected $primaryKey = 'id';

    public $timestamps = false;

    public function teacher()
    {
        return $this->belongsTo(User::class, 'user_id', 'id')->where('authorization', 2);
    }

    public function students()
    {
        return $this->belongsToMany(User::class, UserLesson::class)->where('authorization', 3)->orderBy('lastname');
    }

    public function subject()
    {
        return $this->belongsTo(Subject::class, 'subject_id', 'id');
    }
}
