<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class Question extends Model
{
    use HasFactory;

    protected $table = 'questions';

    protected $primaryKey = 'id';

    protected $fillable = [
        'name',
        'type',
        'task',
        'category_id',
        'random',
    ];

    public function answers() {
        return $this->hasMany(Answer::class)->inRandomOrder();
    }

    public function answersRight() {
        return $this->hasMany(Answer::class)->where('isRight', 1);
    }
}
