<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{
    use HasFactory;

    protected $table = 'settings';

    protected $primaryKey = 'id';

    protected $fillable = [
        'name',
        'shortname',
        'mail',
        'numbering',
        'pagination',
        'id_file',
        'firstname',
        'lastname',
        'start',
        'preregistration',
        'registration',
        'end_registration',
        'first_semester_end',
        'first_semester_start',
        'second_semester_start',
        'second_semester_end',
        'attempts',
    ];

    protected  $dates = [
        'start',
        'preregistration',
        'registration',
        'end_registration',
        'first_semester_end',
        'first_semester_start',
        'second_semester_start',
        'second_semester_end',
    ];

    public $timestamps = false;
}
