<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Test extends Model
{
    use HasFactory;

    protected $table = 'tests';

    protected $primaryKey = 'id';

    protected $fillable = [
        'name',
        'description',
        'password',
        'type',
        'random',
        'date_start',
        'date_end',
        'time',
        'content_id',
        'points',
    ];

    public $timestamps = false;

    public function questions()
    {
        return $this->belongsToMany(Question::class, TestQuestion::class)->withPivot('point', 'position', 'id')->orderBy('position');
    }

    public function questionsRandom()
    {
        return $this->belongsToMany(Question::class, TestQuestion::class)->withPivot('point', 'position', 'id')->inRandomOrder();
    }

    public function attempts()
    {
        return $this->hasMany(Attempt::class);
    }

    public function content()
    {
        return $this->hasOne(Content::class, 'id', 'content_id');
    }
}
