<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class ArrayAtLeastArequired implements Rule
{
    protected $number;

    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct(int $number)
    {
        $this->number = $number;
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $values
     * @return bool
     */
    public function passes($attribute, $values)
    {
        $i = 0;
        foreach ($values as $value){
            if ($value !== null) {
               $i++;
            }
        }

        return $i >= $this->number;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Alespoň ' . $this->number . ' odpovědi musí být vyplněny.';
    }
}
