@extends('layouts.administration')

@section('title', 'Přidat administrátora')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Přidat administrátora</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form class="w-full space-y-2 sm:space-y-4" action="/admin/admins" method="POST">
            @csrf
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Jméno:</span>
                <input name="firstname" type="text" value="{{ old('firstname') }}"
                       class="@error('firstname') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200">
                @error('firstname')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Příjmení:</span>
                <input name="lastname" type="text" value="{{ old('lastname') }}"
                       class="@error('lastname') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200">
                @error('lastname')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
                Přidat
            </button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.admins.create') }}
@endsection
