@extends('layouts.administration')

@section('title', 'Administrátoři')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider mb-4">Administrátoři</h2>

    <a href="admins/create"
       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Přidat
        nového administrátora</a>

    <div class="relative mt-4">
        <div class="flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none">
            <i class="fas fa-search text-gray-500"></i>
        </div>
        <input type="text" name="search" id="search" placeholder="Vyhledat"
               class="pl-10 form-input block w-full focus:shadow-outline-gray border border-gray-200 mt-4">
    </div>

    <div class="list">
        @include('admin.admins.list', ['users' => $users])
    </div>

    <input type="hidden" name="hidden_page" id="hidden_page" value="1"/>

@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.admins') }}
@endsection

@section('scripts')
    <script>
        let url = "{{ route('admin.admins.search') }}";
    </script>
    <script src="{{ asset('js/live-search.js') }}"></script>
@endsection
