@extends('layouts.administration')

@section('title', $user->lastname . ' ' . $user->firstname)

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">{{ $user->lastname . ' ' . $user->firstname }}</h2>

    <div class="grid grid-flow-row grid-cols-5 md:grid-cols-10 pt-2 md:pt-5">
        <div class="overflow-x-auto col-span-4">
            <h3 class="text-xl font-semibold uppercase tracking-wider">Osobní údaje:</h3>
            <table class="w-full text-center mt-5">
                <tr>
                    <th class="py-2 px-5 md:px-0">Login:</th>
                    <td class="py-2 px-5 md:px-0">{{ $user->username }}</td>
                </tr>
                <tr>
                    <th class="py-2 px-5 md:px-0">E-mail:</th>
                    <td class="py-2 px-5 md:px-0">{{ $user->email }}</td>
                </tr>
                <tr>
                    <th class="py-2 px-5 md:px-0">Upravit:</th>
                    <td class="py-2 px-5 md:px-0">
                        <a href="{{ $user->id }}/edit"
                           class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Upravit</a>
                    </td>
                </tr>
                <tr>
                    <th class="py-2 px-5 md:px-0">Odstranit:</th>
                    <td class="py-2 px-5 md:px-0">
                        <form action="{{ $user->id }}" method="POST">
                            @csrf
                            @method('delete')
                            <button
                                class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">
                                Odstranit
                            </button>
                        </form>
                    </td>
                </tr>
            </table>
        </div>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.admins.show', $user) }}
@endsection
