@extends('layouts.administration')

@section('title', $field->name)

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">{{ $field->name }}</h2>

    <div class="px-2 pt-5">
        <ul>
            <li class="pb-2"><span class="font-semibold">Zkratka:</span> {{ $field->shortname }}</li>
            <li class="pb-2"><span class="font-semibold">Forma studia:</span>
                @switch($field->form)
                    @case(1)
                    Denní forma
                    @break
                    @case(2)
                    Kombinovaná forma
                    @break
                @endswitch
            </li>
            <li class="pb-2"><span class="font-semibold">Délka studia:</span> {{ $field->years }}</li>
            <li class="pb-2"><span class="font-semibold">Kredity pro ukončení studia:</span> {{ $field->credits }}</li>
            <li class="pb-2"><span class="font-semibold">
                    <a href="fields/{{ $field->id }}/edit"
                       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Upravit</a>
                </span>
            </li>
            <li class="pb-2"><span class="font-semibold">
                    <form action="fields/{{ $field->id }}" method="POST">
                        @csrf
                        @method('delete')
                        <button
                            class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">
                            Odstranit
                        </button>
                    </form>
                </span>
            </li>
            <li class="pb-2"><span class="font-semibold">
                    <a href="{{ $field->id }}/subjects"
                       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Přidat
                        předmět do oboru</a>
                </span>
            </li>
        </ul>
    </div>

    <form action="{{ $field->id }}/subjects" method="POST">
        @csrf
        @method('delete')
        <div class="overflow-x-auto">
            <table class="w-full text-left md:text-center mt-2 table-auto">
                <tr>
                    <th class="py-2 px-5 md:px-0"></th>
                    <th class="py-2 px-5 md:px-0">Název</th>
                    <th class="py-2 px-5 md:px-0">Zkratka</th>
                    <th class="py-2 px-5 md:px-0">Ročník</th>
                    <th class="py-2 px-5 md:px-0">Semestr</th>
                    <th class="py-2 px-5 md:px-0">Ukončení</th>
                    <th class="py-2 px-5 md:px-0">Kredity</th>
                    <th class="py-2 px-15 md:px-0"></th>
                </tr>
                @foreach($field->subjects as $key => $subject)
                    <tr class="border-b border-gray-400">
                        <td class="py-2">
                            <input id="checkbox{{ $key }}" type="checkbox" class="form-checkbox border border-gray-400"
                                   name="subjects[{{ $key }}]"
                                   value="{{ $subject->id }}">
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <label for="checkbox{{ $key }}">{{ $subject->name }}</label>
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <label for="checkbox{{ $key }}">{{ $subject->shortname }}</label>
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <label for="checkbox{{ $key }}">{{ $subject->study_year . "." }}</label>
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <label for="checkbox{{ $key }}">{{ ($subject->semester === 1) ? 'Zimní' : 'Letní' }}
                            </label>
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <label for="checkbox{{ $key }}">{{ ($subject->semester === 1) ? 'Zápočet' : 'Zápočet + zkouška' }}
                            </label>
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <label for="checkbox{{ $key }}">{{ $subject->credits }}</label>
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
        <button type="submit"
                class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
            Odstranit
        </button>
    </form>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.fields.show', $field) }}
@endsection

