@extends('layouts.administration')

@section('title', 'Přidat předměty')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Přidat předměty</h2>

    <form action="subjects"
          method="POST">
        @csrf
        <div class="overflow-x-auto">
            <table class="w-full text-left md:text-center mt-2 table-auto">
                <tr>
                    <th class="py-2 px-0"></th>
                    <th class="py-2 px-5 md:px-0">Název</th>
                    <th class="py-2 px-5 md:px-0">Zkratka</th>
                    <th class="py-2 px-5 md:px-0">Ročník</th>
                    <th class="py-2 px-5 md:px-0">Semestr</th>
                    <th class="py-2 px-5 md:px-0">Ukončení</th>
                    <th class="py-2 px-5 md:px-0">Kredity</th>
                </tr>
                @foreach($subjects as $key => $subject)
                    <tr class="border-b border-gray-400">
                        <td class="py-2">
                            <input id="checkbox{{ $key }}" type="checkbox" class="form-checkbox border border-gray-400"
                                   name="subjects[{{ $key }}]"
                                   value="{{ $subject->id }}">
                        </td>
                        <label for="checkbox{{ $key }}">
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ $subject->name }}</label></td>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ $subject->shortname }}</label></td>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ $subject->study_year . "." }}</label></td>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ ($subject->semester === 1) ? 'Zimní' : 'Letní' }}</label></td>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ ($subject->semester === 1) ? 'Zápočet' : 'Zápočet + zkouška' }}</label></td>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ $subject->credits }}</label></td>
                        </label>
                    </tr>
                @endforeach
            </table>
        </div>
        <button type="submit"
                class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
            Přidat
        </button>
    </form>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.fields.subjects', $field) }}
@endsection

