@extends('layouts.administration')

@section('title', 'Přidat položku')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Přidat položku</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form class="w-full space-y-2 sm:space-y-4" action="/admin/years/{{ $year }}/schedules" method="POST">
            @csrf
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Datum začátku:</span>
                <input name="date_start" type="date"
                       value="{{ old('date_start', \Carbon\Carbon::now()->format('Y-m-d')) }}"
                       class="@error('date_start') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200">
                @error('date_start')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Datum konce:</span>
                <input name="date_end" type="date"
                       value="{{ old('date_end', \Carbon\Carbon::now()->format('Y-m-d')) }}"
                       class="@error('date_end') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200">
                @error('date_end')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Název:</span>
                <textarea name="text"
                          class="@error('text') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200">{{ old('text') }}</textarea>
                @error('text')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
                Přidat
            </button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.years.schedules.create', $year) }}
@endsection
