@extends('layouts.administration')

@section('title', 'Upravit položku')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Upravit položku</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form class="w-full space-y-2 sm:space-y-4" action="/admin/years/{{ $year }}/schedules/{{ $schedule->id }}" method="POST">
            @csrf
            @method('put')
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Datum začátku:</span>
                <input name="date_start" type="datetime-local"
                       class="@error('date_start') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200"
                       value="{{ old('date_start', \Carbon\Carbon::parse($schedule->date_start)->format('Y-m-d\TH:i')) }}">
                @error('date_start')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Datum konce:</span>
                <input name="date_end" type="datetime-local"
                       class="@error('date_end') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200"
                       value="{{ old('date_start', \Carbon\Carbon::parse($schedule->date_end)->format('Y-m-d\TH:i')) }}">
                @error('date_end')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Název:</span>
                <textarea name="text"
                          class="@error('text') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200">{{ old('text', $schedule->text) }}</textarea>
                @error('text')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
                Upravit
            </button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.years.schedules.edit', $year, $schedule) }}
@endsection
