@extends('layouts.administration')

@section('title', 'Upravit studenta')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Upravit studenta</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form class="w-full space-y-2 sm:space-y-4" action="/admin/students/{{ $user->id }}" method="POST">
            @csrf
            @method('put')
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Jméno:</span>
                <input name="firstname" type="text"
                       class="@error('firstname') border-red-500 @enderror form-input block w-full mt-2 border border-gray-200"
                       value="{{old('firstname', $user->firstname)}}">
                @error('firstname')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Příjmení:</span>
                <input name="lastname" type="text"
                       class="@error('lastname') border-red-500 @enderror form-input block w-full mt-2 border border-gray-200"
                       value="{{old('lastname', $user->lastname)}}">
                @error('lastname')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Obor:</span>
                <select name="field_id"
                        class="@error('field_id') border-red-500 @enderror form-select block w-full mt-2 border border-gray-200">
                    @foreach($fields as $field)
                        <option
                            value="{{ $field->id }}" {{ (old('field_id', $field->id) == $field->id) ? 'selected' : '' }}>{{ $field->name . " (" . $field->shortname . ")" }}</option>
                    @endforeach
                </select>
                @error('field_id')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
                Upravit
            </button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.students.edit', $user) }}
@endsection
