<div class="overflow-x-auto">
    <table class="w-full text-left md:text-center mt-2 table-auto">
        <thead>
        <tr>
            <th class="py-2 px-5 md:px-0">Název</th>
            <th class="py-2 px-5 md:px-0">Zkratka</th>
            <th class="py-2 px-5 md:px-0">Ročník</th>
            <th class="py-2 px-5 md:px-0">Semestr</th>
            <th class="py-2 px-5 md:px-0">Ukončení</th>
            <th class="py-2 px-5 md:px-0">Kredity</th>
            <th class="py-2 px-15 md:px-0"></th>
        </tr>
        </thead>
        <tbody>
        @if($subjects->count() > 0)
            @foreach($subjects as $subject)
                <tr class="border-b border-gray-400">
                    <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                        <a href="subjects/{{ $subject->id }}"
                           class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">{{ $subject->name }}</a>
                    </td>
                    <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $subject->shortname }}</td>
                    <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $subject->study_year . "." }}</td>
                    <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                        @switch($subject->semester)
                            @case(1)
                            Zimní
                            @break
                            @case(2)
                            Letní
                            @break
                        @endswitch
                    </td>
                    <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                        @switch($subject->examination)
                            @case(1)
                            Zápočet
                            @break
                            @case(2)
                            Zápočet + zkouška
                            @break
                        @endswitch
                    </td>
                    <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $subject->credits }}</td>
                    <td class="py-2">
                        <a href="subjects/{{ $subject->id }}/edit"
                           class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Upravit</a>
                        <form action="subjects/{{ $subject->id }}" method="POST">
                            @csrf
                            @method('delete')
                            <button
                                class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">
                                Odstranit
                            </button>
                        </form>
                    </td>
                </tr>
            @endforeach
        @else
            <tr class="text-xl py-2 text-red-600">
                <td colspan="5">Nebyli nalezeni žádní studenti.</td>
            </tr>
        @endif
        </tbody>
    </table>
</div>

<div class="mt-3" id="pagination">
    {{ $subjects->links() }}
</div>
