@extends('layouts.administration')

@section('title', $subject->name)

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">{{ $subject->name }}</h2>

    <div class="px-2 pt-5">
        <ul>
            <li class="pb-2"><span class="font-semibold">Zkratka:</span> {{ $subject->shortname }}</li>
            <li class="pb-2"><span class="font-semibold">Ročník:</span> {{ $subject->study_year }}</li>
            <li class="pb-2"><span class="font-semibold">Semestr:</span>
                @switch($subject->semester)
                    @case(1)
                    Zimní
                    @break
                    @case(2)
                    Letní
                    @break
                @endswitch
            </li>
            <li class="pb-2"><span class="font-semibold">Ukončení:</span>
                @switch($subject->examination)
                    @case(1)
                    Zápočet
                    @break
                    @case(2)
                    Zápočet + zkouška
                    @break
                @endswitch
            </li>
            <li class="pb-2"><span class="font-semibold">Kredity:</span> {{ $subject->credits }}</li>
            <li class="pb-2"><span class="font-semibold">
                    <a href="subjects/{{ $subject->id }}/edit"
                       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Upravit</a>
                </span>
            </li>
            <li class="pb-2"><span class="font-semibold">
                   <form action="subjects/{{ $subject->id }}" method="POST">
                            @csrf
                       @method('delete')
                            <button
                                class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">
                                Odstranit
                            </button>
                   </form>
                </span>
            </li>
            <li class="pb-2"><span class="font-semibold">
                    <a href="{{ $subject->id }}/teachers"
                       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Přidat
                        pedagoga k předmětu</a>
                </span>
            </li>
        </ul>
    </div>

    <form action="{{ $subject->id }}/teachers" method="POST">
        @csrf
        @method('delete')
        <div class="overflow-x-auto">
            <table class="w-full text-left md:text-center mt-2 table-auto">
                <tr>
                    <th class="py-2 px-5 md:px-0"></th>
                    <th class="py-2 px-5 md:px-0">Jméno</th>
                    <th class="py-2 px-5 md:px-0">E-mail</th>
                    <th class="py-2 px-5 md:px-0">Uživatelské jméno</th>
                </tr>
                @foreach($subject->teachers as $key => $teacher)
                    <tr class="border-b border-gray-400">
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <input id="checkbox{{ $key }}" type="checkbox" class="form-checkbox border border-gray-400"
                                   name="users[{{ $key }}]"
                                   value="{{ $teacher->id }}">
                        </td>
                        <td class="py-2 md:px-0 whitespace-nowrap"><label
                                for="checkbox{{ $key }}">{{ $teacher->lastname . ' ' . $teacher->firstname }}</label>
                        </td>
                        <td class="py-2 md:px-0 whitespace-nowrap"><label
                                for="checkbox{{ $key }}">{{ $teacher->email }}</label></td>
                        <td class="py-2 md:px-0 whitespace-nowrap"><label
                                for="checkbox{{ $key }}">{{ $teacher->username }}</label></td>
                    </tr>
                @endforeach
            </table>
        </div>
        <button type="submit"
                class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
            Odstranit
        </button>
    </form>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.subjects.show', $subject) }}
@endsection
