@extends('layouts.administration')

@section('title', 'Padagogové')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Padagogové</h2>

    <form action="teachers"
          method="POST">
        @csrf
        <div class="overflow-x-auto">
            <table class="w-full text-left md:text-center mt-2 table-auto">
                <tr>
                    <th class="py-2 px-0"></th>
                    <th class="py-2 px-5 md:px-0">Jméno</th>
                    <th class="py-2 px-5 md:px-0">E-mail</th>
                    <th class="py-2 px-5 md:px-0">Uživatelské jméno</th>
                </tr>
                @foreach($teachers as $key => $teacher)
                    <tr class="border-b border-gray-400">
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            <input id="checkbox{{ $key }}" type="checkbox" class="form-checkbox border border-gray-400"
                                   name="users[{{ $key }}]"
                                   value="{{ $teacher->id }}">
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ $teacher->lastname . ' ' . $teacher->firstname }}</label></td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ $teacher->email }}</label></td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap"><label for="checkbox{{ $key }}">{{ $teacher->username }}</label></td>
                    </tr>
                @endforeach
            </table>
        </div>
        <button type="submit"
                class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
            Přidat
        </button>
    </form>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.subjects.teachers', $subject) }}
@endsection
