@extends('layouts.administration')

@section('title', $user->lastname . ' ' . $user->firstname)

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">{{ $user->lastname . ' ' . $user->firstname }}</h2>

    <div class="grid grid-flow-row grid-cols-5 md:grid-cols-10 pt-2 md:pt-5">
        <div class="col-span-4 pt-2 md:pt-0">
            <h3 class="text-xl font-semibold uppercase tracking-wider">Osobní údaje:</h3>
            <div class="overflow-x-auto">
                <table class="w-full text-left mt-2 table-auto">
                    <tr>
                        <th class="py-2 px-5 md:px-0">Login:</th>
                        <td class="py-2 px-5 md:px-0">{{ $user->username }}</td>
                    </tr>
                    <tr>
                        <th class="py-2 px-5 md:px-0">E-mail:</th>
                        <td class="py-2 px-5 md:px-0">{{ $user->email }}</td>
                    </tr>
                    <tr>
                        <th class="py-2 px-5 md:px-0">Upravit:</th>
                        <td class="py-2 px-5 md:px-0">
                            <a href="{{ $user->id }}/edit"
                               class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Upravit</a>
                        </td>
                    </tr>
                    <tr>
                        <th class="py-2 px-5 md:px-0">Odstranit:</th>
                        <td class="py-2 px-5 md:px-0">
                            <form action="{{ $user->id }}" method="POST">
                                @csrf
                                @method('delete')
                                <button
                                    class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">
                                    Odstranit
                                </button>
                            </form>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="col-span-4 pt-2 md:pt-0">
            <h3 class="text-xl font-semibold uppercase tracking-wider">Vyučující předměty:</h3>
            <div class="overflow-x-auto">
                <table class="w-full text-left mt-2 table-auto">
                    <thead>
                    <tr>
                        <th class="py-2 px-5 md:px-0">Název</th>
                        <th class="py-2 px-5 md:px-0">Zkratka</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($user->subjects as $subject)
                        <tr>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                                <a href="admin/subjects/{{ $subject->id }}"
                                   class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">{{ $subject->name }}</a>
                            </td>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $subject->shortname }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('admin.teachers.show', $user) }}
@endsection
