<div class="pt-4 md:pt-5">
    <h3 class="text-xl font-semibold uppercase tracking-wider">Rozvrh:</h3>
    <div class="overflow-x-auto">
        <table class="w-full text-center border-collapse border border-black mt-5">
            <tr>
                <th class="py-5 px-15 md:px-0"></th>
                @for($i = 0; $i < 10; $i++)
                    <th class="py-5 px-5 md:px-0 whitespace-nowrap border border-black">
                        {{ $setting->start->addMinutes($i * 50)->isoFormat('H:mm') . '-' . $setting->start->addMinutes(($i + 1) * 45 + ($i * 5))->isoFormat('H:mm') }}
                    </th>
                @endfor
            </tr>


            @for($i = 0; $i < 5; $i++)
                @php
                    $size = 1;
                @endphp
                @if($lessons)
                    @php
                        $lessonsOfDay = $lessons->where('day', $i + 1);
                    @endphp
                    @for($j = 0; $j < 10; $j++)
                        @php
                            $count = $lessonsOfDay->where('start', $j + 1)->count();

                            for ($k = 0; $k < 4; $k++) {
                                $count += $lessons->where('day', $i + 1)->where('start', '=', $j - $k)->where('end', '>', $j + 1)->count();
                            }

                            if ($size < $count) $size = $count;
                            $length = 0;
                        @endphp
                    @endfor
                @endif

                @for($j = 0; $j < $size; $j++)
                    <tr class="border border-black h-24">
                        @if($j === 0)
                            <td class="py-2 border border-black" rowspan="{{ $size }}">
                                @switch($i)
                                    @case(0)
                                    Pondělí
                                    @break
                                    @case(1)
                                    Úterý
                                    @break
                                    @case(2)
                                    Středa
                                    @break
                                    @case(3)
                                    Čtvrtek
                                    @break
                                    @case(4)
                                    Pátek
                                    @break
                                @endswitch
                            </td>
                        @endif

                        @for($k = 0; $k < 10; $k++)
                            @if($lessons)
                                @php
                                    $lesson = $lessonsOfDay->where('start', $k + 1)->first();
                                    $key = $lessonsOfDay->where('start', $k + 1)->keys()->first();
                                @endphp
                            @else
                                @php
                                    $lesson = null;
                                    $length = null;
                                @endphp
                            @endif
                            @if($lesson && $length === 0)
                                @php
                                    $length = $lesson->end - $lesson->start - 1;
                                @endphp
                                <td class="py-1 border border-black relative {{ ($lesson->type === 1) ? 'bg-' . $lesson->color . '-500' : 'bg-' . $lesson->color . '-300' }}"
                                    colspan="{{ $lesson->end - $lesson->start }}">
                                    <div class="pt-3 px-2">
                                        {{ $lesson->subject->shortname }}
                                        @if($lesson->type === 1)
                                            <i class="fas fa-chalkboard-teacher"></i>
                                        @elseif($lesson->type === 2)
                                            <i class="fas fa-user-edit"></i>
                                        @endif
                                    </div>
                                    <div class="pb-2 px-2">{{ $lesson->teacher->username }}</div>

                                    <div class="absolute bottom-0 right-1">
                                        <p>
                                            {{ $lesson->room }}
                                        </p>
                                    </div>
                                </td>
                                @php
                                    $lessonsOfDay->forget($key);
                                @endphp
                            @elseif($length > 0)
                                @php
                                    --$length;
                                @endphp
                            @else
                                <td class="py-2 border border-black"></td>
                            @endif
                        @endfor
                    </tr>
                @endfor
            @endfor
        </table>
    </div>
</div>

@if($examDates->count() > 0)
    <div class="pt-4 md:pt-5">
        <h3 class="text-xl font-semibold uppercase tracking-wider">Nadcházející termíny:</h3>
        <div class="overflow-x-auto">
            <table class="w-full text-left md:text-center mt-2 table-auto">
                <thead>
                <tr>
                    <th class="py-5 px-5 md:px-0">Předmět</th>
                    <th class="py-5 px-5 md:px-0">Typ</th>
                    <th class="py-5 px-5 md:px-0">Forma</th>
                    <th class="py-5 px-5 md:px-0">Zkoušející</th>
                    <th class="py-5 px-5 md:px-0">Datum</th>
                    <th class="py-5 px-5 md:px-0">Místnost</th>
                    <th class="py-5 px-5 md:px-0">Kapacita</th>
                </tr>
                </thead>
                <tbody>
                @foreach($examDates as $date)
                    <tr class="border-b border-gray-400">
                        <td class="py-2">{{ $date->subject->name }}</td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            @switch($date->type)
                                @case(1)
                                Zápočet
                                @break
                                @case(2)
                                Zkouška
                                @break
                            @endswitch
                        </td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                            @switch($date->form)
                                @case(1)
                                Prezenční
                                @break
                                @case(2)
                                Online
                                @break
                            @endswitch
                        </td>
                        <td class="py-2">{{ $date->user->lastname . " " . $date->user->firstname }}</td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $date->date_start->isoFormat('LLL') . ' – ' . $date->date_end->isoFormat('LLL') }}</td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $date->room }}</td>
                        <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $date->occupied . '/' . $date->capacity }}</td>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endif

