@extends('layouts.appWoHeader')

@section('title', 'Přihlášení')

@section('content')
    <div class="flex justify-center items-center h-screen">
        <div class="w-full sm:w-6/12">
            <section class="bg-white sm:border-1 sm:rounded-md sm:shadow-sm sm:shadow-lg">

                <header
                    class="font-semibold uppercase text-2xl text-gray-700 py-3 px-3 sm:py-4 sm:px-5 sm:rounded-t-md">
                    {{ 'Přihlášení' }}
                </header>

                <form class="w-full sm:space-y-2 px-4" method="POST"
                      action="{{ route('login') }}">
                    @csrf

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Uživatelské jméno:</span>

                        <input id="username" type="text"
                               class="@error('username') border-red-500 @enderror form-input block w-full mt-2 border border-gray-200"
                               name="username"
                               value="{{ old('username') }}" required autocomplete="username" autofocus>

                        @error('username')
                        <p class="text-red-500 text-xs italic mt-2">
                            {{ $message }}
                        </p>
                        @enderror
                    </label>

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Heslo:</span>

                        <input id="password" type="password"
                               class="@error('password') border-red-500 @enderror form-input block w-full mt-2 border border-gray-200"
                               name="password"
                               required>

                        @error('password')
                        <p class="text-red-500 text-xs italic mt-4">
                            {{ $message }}
                        </p>
                        @enderror
                    </label>

                    <div class="flex items-center my-2">
                        @if (Route::has('password.request'))
                            <a class="text-sm text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline ml-auto"
                               href="{{ route('password.request') }}">
                                Zapomněl jsi heslo?
                            </a>
                        @endif
                    </div>
                    <div>
                        <button type="submit"
                                class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
                            Přihlásit se
                        </button>
                    </div>
                </form>
            </section>
        </div>
    </div>
@endsection
