@extends('layouts.appWoHeader')

@section('title', 'Obnovení hesla')

@section('content')
    <div class="flex justify-center items-center h-screen">
        <div class="w-full sm:w-6/12">

            <section class="bg-white sm:border-1 sm:rounded-md sm:shadow-sm sm:shadow-lg">

                <header
                    class="font-semibold uppercase text-2xl text-gray-700 py-3 px-3 sm:py-4 sm:px-5 sm:rounded-t-md">
                    {{ 'Obnovení hesla' }}
                </header>

                <form class="w-full px-6 space-y-6 sm:px-10 sm:space-y-8" method="POST"
                      action="{{ route('password.email') }}">
                    @csrf

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">E-mail:</span>

                        <input id="email" type="email"
                               class="form-input block w-full mt-2 border border-gray-200 @error('email') border-red-500 @enderror"
                               name="email"
                               value="{{ old('email') }}" required autocomplete="email" autofocus>

                        @error('email')
                        <p class="text-red-500 text-xs italic mt-4">
                            {{ $message }}
                        </p>
                        @enderror
                        @if (session('status'))
                            <p class="text-green-700 text-xs italic mt-4">
                                {{  session('status') }}
                            </p>
                        @endif
                    </label>

                    <div
                        class="flex flex-wrap justify-center items-center space-y-6 pb-6 sm:pb-10 sm:space-y-0 sm:justify-between">
                        <button type="submit"
                                class="w-full select-none font-bold whitespace-no-wrap p-3 rounded-lg text-base leading-normal no-underline text-white bg-black hover:bg-gray-700 sm:w-auto sm:px-4 sm:order-1">
                            {{ __('Obnovit heslo') }}
                        </button>

                        <p class="mt-4 text-xs text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline sm:text-sm sm:order-0 sm:m-0">
                            <a class="text-gray-600 hover:text-gray-900 no-underline" href="{{ route('login') }}">
                                {{ __('Zpět k přihlášení') }}
                            </a>
                        </p>
                    </div>
                </form>
            </section>
        </div>
    </div>
@endsection
