@extends('layouts.appWoHeader')

@section('title', 'Obnovení hesla')

@section('content')
    <div class="flex justify-center items-center h-screen">
        <div class="w-full sm:w-6/12">

            <section class="flex flex-col break-words bg-white sm:border-1 sm:rounded-md sm:shadow-sm sm:shadow-lg">

                <header
                    class="font-semibold uppercase text-2xl text-gray-700 py-3 px-3 sm:py-4 sm:px-5 sm:rounded-t-md">
                    {{ 'Obnovení hesla' }}
                </header>

                <form class="w-full px-6 space-y-6 sm:px-10 sm:space-y-8" method="POST"
                      action="{{ route('password.update') }}">
                    @csrf

                    <input type="hidden" name="token" value="{{ $token }}">

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">E-mail:</span>

                        <input id="email" type="email"
                               class="form-input block w-full mt-2 border border-gray-200 @error('email') border-red-500 @enderror" name="email"
                               value="{{ $email ?? old('email') }}" required autocomplete="email" autofocus>

                        @error('email')
                        <p class="text-red-500 text-xs italic mt-4">
                            {{ $message }}
                        </p>
                        @enderror
                    </label>

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Nové heslo:</span>

                        <input id="password" type="password"
                               class="form-input block w-full mt-2 border border-gray-200 @error('password') border-red-500 @enderror" name="password"
                               required autocomplete="new-password">

                        @error('password')
                        <p class="text-red-500 text-xs italic mt-4">
                            {{ $message }}
                        </p>
                        @enderror
                    </label>

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Potvrzení nového hesla:</span>


                        <input id="password-confirm" type="password" class="form-input block w-full mt-2 border border-gray-200"
                               name="password_confirmation" required autocomplete="new-password">
                    </label>

                    <div class="flex flex-wrap pb-8 sm:pb-10">
                        <button type="submit"
                                class="w-full select-none font-bold whitespace-no-wrap p-3 rounded-lg text-base leading-normal no-underline text-white bg-black hover:bg-gray-900 sm:py-4">
                            {{ __('Obnovení hesla') }}
                        </button>
                    </div>
                </form>

            </section>
        </div>
    </div>
@endsection
