<div @click.away="open = false" class="flex flex-col w-full md:w-64 text-gray-700 flex-shrink-0"
     x-data="{ open: false }">
    <div class="flex-shrink-0 px-8 pt-4 pb-2 flex flex-row items-center justify-between">
        <a href="/admin"
           class="text-lg font-semibold tracking-widest text-gray-900 uppercase rounded-lg dark-mode:text-white focus:outline-none focus:shadow-outline">Administrace</a>
        <button class="rounded-lg md:hidden rounded-lg focus:outline-none focus:shadow-outline" @click="open = !open">
            <svg fill="currentColor" viewBox="0 0 20 20" class="w-6 h-6">
                <path x-show="!open" fill-rule="evenodd"
                      d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM9 15a1 1 0 011-1h6a1 1 0 110 2h-6a1 1 0 01-1-1z"
                      clip-rule="evenodd"></path>
                <path x-show="open" fill-rule="evenodd"
                      d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                      clip-rule="evenodd"></path>
            </svg>
        </button>
    </div>
    @php
        $user = \App\Models\User::find(\Illuminate\Support\Facades\Auth::user()->id);
        $notifications = $user->notifications;
    @endphp
    <nav :class="{'block': open, 'hidden': !open}" class="flex-grow md:block px-4 pb-4 md:pb-0 md:overflow-y-auto">
        @if(Auth::user()->authorization === 1)
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('admin/settings*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/admin/settings/edit">Nastavení</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('admin/years*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/admin/years">Harmonogram</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('admin/admins*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/admin/admins">Administrátoři</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('admin/teachers*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/admin/teachers">Pedagogové</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('admin/students*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/admin/students">Studenti</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('admin/fields*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/admin/fields">Obory</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('admin/subjects*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/admin/subjects">Předměty</a>
        @elseif(Auth::user()->authorization === 2)
        @elseif(Auth::user()->authorization === 3)
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/subjects">Zápis předmětů</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('lessons*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/lessons">Tvorba rozvrhu</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('years*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/years">Harmonogram</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('classification*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/classification">Klasifikace
                @if($notifications->where('type', '<', 6)->count() > 0)
                    <span class="text-xs ml-2 w-5 h-5 px-1.5 border border-red-600 bg-red-600 text-white rounded-full">{{ $notifications->where('type', '<', 4)->count() }}</span>
                @endif
            </a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('exam-dates*')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/exam-dates">Zápis termínů
                @if($notifications->where('type', 6)->count() > 0)
                    <span class="text-xs ml-2 w-5 h-5 px-1.5 border border-red-600 bg-red-600 text-white rounded-full">{{ $notifications->where('type', 4)->count() }}</span>
                @endif
            </a>
        @endif
    </nav>
</div>
