<header class="bg-white py-3 shadow">
    <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>
    <div @click.away="open = false" class="flex flex-col w-full text-gray-700 flex-shrink-0 md:grid grid-cols-5"
         x-data="{ open: false }">
        <div class="flex-shrink-0 px-8 py-2 flex flex-row items-center justify-between col-span-1">
            <i class="fas fa-4x fa-graduation-cap px-5 text-black"></i>
            <h1 class="text-5xl font-semibold uppercase tracking-wider text-red-600">Wasdl</h1>
            <button class="rounded-lg md:hidden rounded-lg focus:outline-none focus:shadow-outline"
                    @click="open = !open">
                <svg fill="currentColor" viewBox="0 0 20 20" class="w-6 h-6">
                    <path x-show="!open" fill-rule="evenodd"
                          d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM9 15a1 1 0 011-1h6a1 1 0 110 2h-6a1 1 0 01-1-1z"
                          clip-rule="evenodd"></path>
                    <path x-show="open" fill-rule="evenodd"
                          d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                          clip-rule="evenodd"></path>
                </svg>
            </button>
        </div>
        @php
            $user = \App\Models\User::find(\Illuminate\Support\Facades\Auth::user()->id);
            $notifications = $user->notifications;
        @endphp
        <nav :class="{'block': open, 'hidden': !open}"
             class="flex-grow md:block px-4 md:overflow-y-auto font-semibold uppercase md:text-xl col-span-4 col-end-6 md:text-right underline-under">
            <div class="h-full md:flex md:justify-end md:items-center">
                @if($user->authorization !== 2)
                <div class="block md:inline-block px-4 md:px-2 py-1">
                    <a href="/admin"
                       class="text-gray-600 hover:text-gray-900 hover:underline {{ (request()->is('admin*') || request()->is('subjects') || request()->is('lessons*') || request()->is('years*') || request()->is('classification*') || request()->is('exam-dates*')) ? 'text-red-500' : '' }}">Administrace
                        @if($notifications->count() > 0)
                            {{ ' (' . $notifications->count() . ')' }}
                        @endif
                    </a>
                </div>

                <span class="hidden md:inline-block">/</span>
                @endif

                <div class="block md:inline-block px-4 md:px-2 py-1">
                    <a href="/users/subjects"
                       class="text-gray-600 hover:text-gray-900 hover:underline {{ (request()->is('subjects/*') || request()->is('users/subjects')) ? 'text-red-500' : '' }}">Kurzy</a>
                </div>

                <span class="hidden md:inline">/</span>

                <div class="block md:inline-block px-4 md:px-2 py-1">
                    <a href="/users/profile"
                       class="text-gray-600 hover:text-gray-900 hover:underline {{ (request()->is('users/profile')) ? 'text-red-500' : '' }}">Profil</a>
                </div>

                <span class="hidden md:inline">/</span>

                <div class="block md:inline-block px-4 md:px-2 px- py-1">
                    <a href="{{ route('logout') }}"
                       class="text-gray-600 hover:text-gray-900 hover:underline"
                       onclick="event.preventDefault();
                                document.getElementById('logout-form').submit();">{{ __('Odhlásit se') }}</a>
                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="hidden">
                        {{ csrf_field() }}
                    </form>
                </div>
            </div>
        </nav>
    </div>
</header>
