<div @click.away="open = false" class="flex flex-col w-full md:w-64 text-gray-700 flex-shrink-0"
     x-data="{ open: false }">
    <div class="flex-shrink-0 px-8 pt-4 pb-2 flex flex-row items-center justify-between">
        <a href="/subjects/{{ $subject->id }}/sylabus"
           class="text-lg font-semibold tracking-widest text-gray-900 uppercase rounded-lg dark-mode:text-white focus:outline-none focus:shadow-outline">{{ $subject->name }}</a>
        <button class="rounded-lg md:hidden rounded-lg focus:outline-none focus:shadow-outline" @click="open = !open">
            <svg fill="currentColor" viewBox="0 0 20 20" class="w-6 h-6">
                <path x-show="!open" fill-rule="evenodd"
                      d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM9 15a1 1 0 011-1h6a1 1 0 110 2h-6a1 1 0 01-1-1z"
                      clip-rule="evenodd"></path>
                <path x-show="open" fill-rule="evenodd"
                      d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                      clip-rule="evenodd"></path>
            </svg>
        </button>
    </div>
    <nav :class="{'block': open, 'hidden': !open}" class="flex-grow md:block px-4 pb-4 md:pb-0 md:overflow-y-auto">
        <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/sylabus')) ? 'bg-gray-200' : 'bg-transparent' }}"
           href="/subjects/{{ $subject->id }}/sylabus">Sylabus</a>
        <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/contacts')) ? 'bg-gray-200' : 'bg-transparent' }}"
           href="/subjects/{{ $subject->id }}/contacts">Kontakty</a>
        <ul class="sortable-menu">
            @foreach($subject->menus as $menu)
                <li data-index="{{ $menu->id }}" class="relative">
                    <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/menus/' . $menu->id . '*')) ? 'bg-gray-200' : 'bg-transparent' }}"
                       href="/subjects/{{ $subject->id }}/menus/{{ $menu->id }}">{{ $menu->name }}</a>
                    @if(session('edit') === true && (Auth::user()->authorization === 1 || Auth::user()->authorization === 2))
                        <form action="/subjects/{{ $subject->id }}/menus/{{ $menu->id }}" method="POST">
                            @csrf
                            @method('delete')
                            <button class="absolute right-0 inset-y-0.5 pr-2">
                                <i class="fas fa-times"></i>
                            </button>
                        </form>
                    @endif
                </li>
            @endforeach
        </ul>
        @if(session('edit') === true && (Auth::user()->authorization === 1 || Auth::user()->authorization === 2))
            <hr class="border-gray-500">
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/categories*')) ? 'bg-gray-200' : 'bg-transparent' }}"
            href="/subjects/{{ $subject->id }}/categories">Banka úloh</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/exam-dates*')) ? 'bg-gray-200' : 'bg-transparent' }}"
            href="/subjects/{{ $subject->id }}/exam-dates">Termíny</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/lessons*')) ? 'bg-gray-200' : 'bg-transparent' }}"
            href="/subjects/{{ $subject->id }}/lessons">Hodiny</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/students*')) ? 'bg-gray-200' : 'bg-transparent' }}"
            href="/subjects/{{ $subject->id }}/students">Studenti</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200 {{ (request()->is('subjects/' . $subject->id . '/menus/create')) ? 'bg-gray-200' : 'bg-transparent' }}"
               href="/subjects/{{ $subject->id }}/menus/create">Přidat záložku</a>
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200"
               href="/users/turn-edit">Vypnout režim úprav</a>
        @elseif(Auth::user()->authorization === 1 || Auth::user()->authorization === 2)
            <hr class="border-gray-500">
            <a class="block px-4 py-2 text-sm font-semibold text-gray-900 rounded-lg hover:text-gray-900 hover:bg-gray-200"
               href="/users/turn-edit">Zapnout režim úprav</a>
        @endif
    </nav>
</div>
