<!doctype html>
<html lang="cs">

@include('layouts.head')

<body class="bg-gray-100 h-screen antialiased font-sans">
@include('layouts.header')

<div class="md:flex flex-col md:flex-row md:min-h-screen w-full">

    @include('layouts.subject-sidebar')

    <div class="w-11/12 md:w-10/12 mx-auto px-2 py-2">
        <div class="hidden md:block">
            @yield('breadcrumbs')
        </div>
        <div class="py-2 md:py-4">
            @yield('content')
        </div>
    </div>

    @yield('modal')
</div>

<script src="https://unpkg.com/jquery@2.2.4/dist/jquery.js"></script>
<script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
<script src="{{ asset('ckeditor/build/ckeditor.js') }}"></script>

@if(session('edit') === true && (Auth::user()->authorization === 1 || Auth::user()->authorization === 2))
    <script>
        $(document).ready(function () {

            function update(idString, urlString) {
                $.ajaxSetup({headers: {'X-CSRF-TOKEN': '{{csrf_token()}}'}});

                $.ajax({
                    url: urlString,
                    method: 'POST',
                    data: {id: idString},
                    success: function () {
                    }
                })
            }

            var content = $('.sortable-content');
            content.sortable({
                update: function (e, ui) {
                    var contentData = content.sortable('toArray', {attribute: 'data-index'})
                    update(contentData.join(','), '{{url('/contents/update-position')}}')
                }
            })

            var menu = $('.sortable-menu');
            menu.sortable({
                update: function (e, ui) {
                    var menuData = menu.sortable('toArray', {attribute: 'data-index'})
                    update(menuData.join(','), '{{url('/menus/update-position')}}')
                }
            })

            var question = $('.sortable-question');
            question.sortable({
                update: function (e, ui) {
                    var questionData = question.sortable('toArray', {attribute: 'data-index'})
                    update(questionData.join(','), '{{url('/questions/update-position')}}')
                }
            })
        })
    </script>
@endif
<script>
    $(document).ready(function () {
        var inputFile = $('input[type=file]');
        inputFile.change(function (e) {
            $('#label').text(e.target.files[0].name);
        })
    })
</script>
@yield('scripts')
</body>
</html>
