@extends('layouts.subject')

@section('title', 'Nastavení')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Upravit kategorii</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form class="w-full space-y-2 sm:space-y-4" action="/subjects/{{ $subject->id }}/categories/{{ $category->id }}" method="POST">
            @csrf
            @method('put')
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Název</span>
                <input name="name" type="text"
                       class="@error('name') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200"
                       value="{{ old('name', $category->name) }}">
                @error('name')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Nadřazená kategorie</span>
                <select name="id_parent_category"
                        class="@error('parent_category_id') border-red-500 @enderror form-select block w-full mt-2 border border-gray-200">
                    @foreach($categories as $categorySelect)
                        <option
                            value="{{ $categorySelect->id }}" {{ (old('parent_category_id', $category->id_parent_category) == $categorySelect->id) ? 'selected' : '' }}>{{ $categorySelect->name }}</option>
                    @endforeach
                </select>
                @error('parent_category_id')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>


            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">Upravit</button>
        </form>
    </div>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.categories.edit', $subject, $category) }}
@endsection
