@extends('layouts.subject')

@section('title', 'Kategorie')

@section('content')

    <h2 class="text-3xl font-semibold uppercase tracking-wider">Kategorie</h2>

    <a href="categories/create"
       class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold pt-10">Přidat
        novou kategorii</a>

    <div class="px-10 py-5">
        <ul class="list-disc">
            <li class="pt-3">
                <div class="inline-block">{{ $subject->category->name }}</div>
                <div class="inline-block ml-4">
                    <a href="categories/{{ $subject->category->id }}"
                       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">Přidat
                        úlohu</a>
                </div>
            </li>
            @if(count($subject->category->childs))
                @include('subjects.categories.treeview',['childs' => $subject->category->childs])
            @endif
        </ul>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.categories', $subject) }}
@endsection
