<div class="block border-gray-600 border rounded bg-white py-5 px-10 my-5">
    <div class="mt-2">
        <div class="ck-content mb-3 text-lg">
            {!! $question->task !!}
        </div>

        @if(count($question->answersRight) === 1)
            @foreach($question->answers as $key => $answer)
                <div>
                    <label class="inline-flex items-center my-2">
                        <input type="radio" class="form-radio border border-gray-400" name="answer"
                               value="{{ $answer->id }}" {{ (isset($answerFeedback) && $answerFeedback == $answer->id) ? 'checked' : ''}}>
                        <span class="ck-content ml-2">{!! $answer->answer !!}</span>
                    </label>
                </div>
            @endforeach
        @elseif(count($question->answersRight) > 1)
            @foreach($question->answers as $key => $answer)
                <div>
                    <label class="inline-flex items-center my-2">
                        <input type="checkbox" class="form-checkbox border border-gray-400"
                               name="answer[{{ $key }}]"
                               value="{{ $answer->id }}" {{ (isset($answerFeedback[$answer->id]) && $answerFeedback[$answer->id] == $answer->id) ? 'checked' : ''}}>
                        <span class="ck-content ml-2">{!! $answer->answer !!}</span>
                    </label>
                </div>
            @endforeach
        @endif

        @if(isset($feedback))
            <p class="{{ ($right === 1) ? 'text-green-500' : 'text-red-500'}} italic mt-2">
                {{ $feedback }}
            </p>
        @endif

        @if(count($question->answersRight) === 1)
            @if(isset($rightAnswers))
                <p class="italic mt-2">Správná odpověď:</p>
                <div class="italic mt-2 ml-5">
                    <ul class="list-disc">
                        @foreach($rightAnswers as $rightAnswer)
                            <li class="ck-content pt-2">{!! $rightAnswer->answer !!}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        @elseif(count($question->answersRight) > 1)
            @if(isset($rightAnswers))
                <p class="italic mt-2">Správné odpovědi:</p>
                <div class="italic mt-2 ml-5">
                    <ul class="list-disc pl-2">
                        @foreach($rightAnswers as $rightAnswer)
                            <li class="ck-content pt-2"><p>{!! $rightAnswer->answer !!}</p></li>
                        @endforeach
                    </ul>
                </div>
            @endif
        @endif
    </div>
</div>
