@extends('layouts.subject')

@section('title', 'Náhled úlohy')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Náhled úlohy</h2>

    <div class="w-2/3 mx-auto">
        <form action="/subjects/{{ $subject->id }}/categories/{{ $category->id }}/questions/{{ $question->id }}"
              method="POST">
            @csrf

            @switch($question->type)
                @case(1)
                @include('subjects.categories.questions.show-type-1')
                @break
                @case(2)
                @include('subjects.categories.questions.show-type-2')
                @break
                @case(3)
                @include('subjects.categories.questions.show-type-3')
                @break
            @endswitch

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">Odeslat</button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.categories.show.questions.show', $subject, $category, $question) }}
@endsection


