@extends('layouts.subject')

@section('title', 'Upravit sylabus')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Upravit sylabus</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form class="w-full space-y-2 sm:space-y-4" action="/subjects/{{ $subject->id }}" method="POST">
            @csrf
            @method('put')

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Sylabus:</span>
                <div class="mt-2">
                    <textarea class="form-control" id="summary-ckeditor" name="sylabus">{!! old('sylabus', $subject->sylabus) !!}</textarea>
                </div>
                @error('sylabus')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">
                Upravit
            </button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.sylabus.edit', $subject) }}
@endsection

@section('scripts')
    <script>
        ClassicEditor
            .create( document.querySelector( '#summary-ckeditor' ) )
            .catch( error => {
                console.error( error );
            } );
    </script>
@endsection
