@extends('layouts.subject')

@section('title', 'Termíny')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Termíny</h2>

    <a href="exam-dates/create"
       class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold mt-5">Přidat
        nový termín</a>

    <div class="px-4 pt-5">
        <h4 class="text-xl font-semibold uppercase tracking-wider underline">Zkouškový termín</h4>
    </div>

    @if($subject->examDates->contains('type', 3) || $subject->examDates->contains('type', 4))
        <div class="overflow-x-auto">
            <table class="w-full text-center">
                <tr>
                    <th class="py-5 px-5 md:px-0">Forma</th>
                    <th class="py-5 px-5 md:px-0">Zkoušející</th>
                    <th class="py-5 px-5 md:px-0">Záčátek</th>
                    <th class="py-5 px-5 md:px-0">Konec</th>
                    <th class="py-5 px-5 md:px-0">Místnost</th>
                    <th class="py-5 px-5 md:px-0">Kapacita</th>
                    <th class="py-5 px-5 md:px-0">Obsazenost</th>
                    <th class="py-5 px-15 md:px-0"></th>
                </tr>
                @foreach($subject->examDates as $date)
                    <tr class="border-b border-gray-400">
                        <td class="py-2">
                            @switch($date->form)
                                @case(1)
                                Prezenční
                                @break
                                @case(2)
                                Online
                                @break
                            @endswitch
                        </td>
                        <td class="py-2">{{ $date->user->lastname . " " . $date->user->firstname }}</td>
                        <td class="py-2">{{ $date->date_start->isoFormat('LLL') }}</td>
                        <td class="py-2">{{ $date->date_end->isoFormat('LLL') }}</td>
                        <td class="py-2">{{ $date->room }}</td>
                        <td class="py-2">{{ $date->capacity }}</td>
                        <td class="py-2">{{ $date->occupied }}</td>
                        <td class="py-2">
                            <a href="exam-dates/{{ $date->id }}/edit"
                               class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">Upravit</a>
                            <form action="exam-dates/{{ $date->id }}" method="POST">
                                @csrf
                                @method('delete')
                                <button
                                    class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">
                                    Odstranit
                                </button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
    @else
        <p class="text-xl pl-5 py-2 text-red-600">Nebyly nalezeny žádné zkouškové termíny.</p>
    @endif

    <div class="px-4 pt-5">
        <h4 class="text-xl font-semibold uppercase tracking-wider underline">Zápočtový termín</h4>
    </div>

    @if($subject->creditDates->contains('type', 1) || $subject->creditDates->contains('type', 2))
        <div class="overflow-x-auto">
            <table class="w-full text-center mt-5">
                <tr>
                    <th class="py-5 px-5 md:px-0">Forma</th>
                    <th class="py-5 px-5 md:px-0">Zkoušející</th>
                    <th class="py-5 px-5 md:px-0">Záčátek</th>
                    <th class="py-5 px-5 md:px-0">Konec</th>
                    <th class="py-5 px-5 md:px-0">Místnost</th>
                    <th class="py-5 px-5 md:px-0">Kapacita</th>
                    <th class="py-5 px-5 md:px-0">Obsazenost</th>
                    <th class="py-5 px-15 md:px-0"></th>
                </tr>
                @foreach($subject->creditDates as $date)
                    <tr class="border-b border-gray-400">
                        <td class="py-2">
                            @switch($date->form)
                                @case(1)
                                Prezenční
                                @break
                                @case(2)
                                Online
                                @break
                            @endswitch
                        </td>
                        <td class="py-2">{{ $date->user->lastname . " " . $date->user->firstname }}</td>
                        <td class="py-2">{{ $date->date_start->isoFormat('LLL') }}</td>
                        <td class="py-2">{{ $date->date_end->isoFormat('LLL') }}</td>
                        <td class="py-2">{{ $date->room }}</td>
                        <td class="py-2">{{ $date->capacity }}</td>
                        <td class="py-2">{{ $date->occupied }}</td>
                        <td class="py-2">
                            <a href="exam-dates/{{ $date->id }}/edit"
                               class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">Upravit</a>
                            <form action="exam-dates/{{ $date->id }}" method="POST">
                                @csrf
                                @method('delete')
                                <button
                                    class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">
                                    Odstranit
                                </button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
    @else
        <p class="text-xl pl-5 py-2 text-red-600">Nebyly nalezeny žádné zkouškové termíny.</p>
    @endif
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.exam-dates', $subject) }}
@endsection
