@extends('layouts.administration')

@section('title', 'Zápis předmětů')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Zápis předmětů</h2>

    <div class="grid grid-flow-row grid-cols-5 md:grid-cols-10">
        <div class="col-span-5">
            <ul class="px-2 py-5">
                <li>
                    <span class="font-semibold border-l-4 border-red-700 px-2">Předmět je zapsán</span>
                </li>
                <li>
                    <span class="font-semibold border-l-4 border-blue-700 px-2">Předzapsané všechny hodiny předmětu</span>
                </li>
                <li>
                    <span class="font-semibold border-l-4 border-green-500 px-2">Zapsané všechny hodiny předmětu</span>
                </li>
                <li>
                    <span class="font-semibold bg-green-500 bg-opacity-60 px-3">Předmět úspěšně absolvován</span>
                </li>
                <li>
                    <span class="font-semibold bg-red-500 bg-opacity-60 px-3">Předmět neúspěšně ukončen</span>
                </li>
            </ul>
        </div>
        <div class="col-span-5">
            <ul class="px-2 py-2">
                <li class="pb-2">
            <span
                class="font-semibold">Datum předzápisu:</span> {{ $setting->preregistration->isoFormat('LLL') . ' – ' . $setting->registration->isoFormat('LLL')}}
                </li>
                <li class="pb-2">
            <span
                class="font-semibold">Datum zápisu:</span> {{ $setting->registration->isoFormat('LLL') . ' – ' . $setting->end_registration->isoFormat('LLL')}}
                </li>
            </ul>
        </div>
    </div>

    <label class="block my-2">
        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Ročník:</span>
        <select name="study_year" id="select"
                class="filter form-select block w-full mt-2 border border-gray-200">
            <option value="1" {{ (isset($_GET['study_year']) && $_GET['study_year'] === '1') ? 'selected' : '' }}>1.
                ročník
            </option>
            <option value="2" {{ (isset($_GET['study_year']) && $_GET['study_year'] === '2') ? 'selected' : '' }}>2.
                ročník
            </option>
            <option value="3" {{ (isset($_GET['study_year']) && $_GET['study_year'] === '3') ? 'selected' : '' }}>3.
                ročník
            </option>
        </select>
    </label>

    <label class="block my-2">
        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Semester:</span>
        <select name="semester" id="select2"
                class="filter form-select block w-full mt-2 border border-gray-200">
            <option value="1" {{ (isset($_GET['semester']) && $_GET['semester'] === '1') ? 'selected' : '' }}>Zimní
                semester
            </option>
            <option value="2" {{ (isset($_GET['semester']) && $_GET['semester'] === '2') ? 'selected' : '' }}>Letní
                semester
            </option>
        </select>
    </label>

    <div class="list">
        @include('subjects.list', ['subjects' => $subjects])
    </div>

    <input type="hidden" name="hidden_page" id="hidden_page" value="1"/>
@endsection
@section('scripts')
    <script>
        let url = "{{ route('student.subjects.filter') }}";
    </script>
    <script src="{{ asset('js/live-search.js') }}"></script>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('student.subjects') }}
@endsection
