@extends('layouts.subject')

@section('title', 'Hodiny')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Hodiny</h2>

    <a href="lessons/create"
       class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold mt-5">Přidat
        novou
        hodinu</a>

    <div class="overflow-visible justify-center">
        <table class="w-full text-center border-collapse border border-black mt-5">
            <tr>
                <th style="min-width: 90px" class="py-5"></th>
                @for($i = 0; $i < 10; $i++)
                    <th style="min-width: 100px" class="py-5 border border-black">
                        {{ $setting->start->addMinutes($i * 50)->isoFormat('H:mm') . '-' . $setting->start->addMinutes(($i + 1) * 45 + ($i * 5))->isoFormat('H:mm') }}
                    </th>
                @endfor
            </tr>


            @for($i = 0; $i < 5; $i++)
                @php
                    $size = 1;
                    $lessonsOfDay = $subject->lessons->where('day', $i + 1);
                @endphp
                @for($j = 0; $j < 10; $j++)
                    @php
                        $count = $lessonsOfDay->where('start', $j + 1)->count();

                        for ($k = 0; $k < 4; $k++) {
                            $count += $subject->lessons->where('day', $i + 1)->where('start', '=', $j - $k)->where('end', '>', $j + 1)->count();
                        }

                        if ($size < $count) $size = $count;
                        $length = 0;
                    @endphp
                @endfor

                @for($j = 0; $j < $size; $j++)
                    <tr class="border border-black h-24">
                        @if($j === 0)
                            <td class="py-2 border border-black" rowspan="{{ $size }}">
                                @switch($i)
                                    @case(0)
                                    Pondělí
                                    @break
                                    @case(1)
                                    Úterý
                                    @break
                                    @case(2)
                                    Středa
                                    @break
                                    @case(3)
                                    Čtvrtek
                                    @break
                                    @case(4)
                                    Pátek
                                    @break
                                @endswitch
                            </td>
                        @endif

                        @for($k = 0; $k < 10; $k++)
                            @php
                                $lesson = $lessonsOfDay->where('start', $k + 1)->first();
                                $key = $lessonsOfDay->where('start', $k + 1)->keys()->first();

                            @endphp

                            @if($lesson && $length === 0)
                                @php
                                    $length = $lesson->end - $lesson->start - 1;
                                @endphp
                                <td class="py-1 border border-black relative {{ ($lesson->type === 1) ? 'bg-' . $color . '-500' : 'bg-' . $color . '-300' }}"
                                    colspan="{{ $lesson->end - $lesson->start }}">
                                    <div class="absolute top-0 left-1">
                                        <p>
                                            @if($lesson->type === 1)
                                                <i class="fas fa-chalkboard-teacher"></i>
                                            @elseif($lesson->type === 2)
                                                <i class="fas fa-user-edit"></i>
                                            @endif
                                        </p>
                                    </div>
                                    <div class="absolute bottom-0 left-1">
                                        <p>
                                            {{ $lesson->occupancy . '/' . $lesson->capacity }}
                                        </p>
                                    </div>
                                    <div
                                        class="pt-3">{{ $lesson->teacher->username }}</div>
                                    <div class="pb-2">{{ $lesson->room }}</div>
                                    <form action="/subjects/{{ $subject->id }}/lessons/{{ $lesson->id }}"
                                          method="POST">
                                        @csrf
                                        @method('delete')
                                        <button class="absolute right-1 top-0">
                                            <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4"
                                                 viewBox="0 0 20 20"
                                                 fill="currentColor">
                                                <path fill-rule="evenodd"
                                                      d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                                                      clip-rule="evenodd"/>
                                            </svg>
                                        </button>
                                    </form>
                                    <a class="absolute right-1 bottom-0"
                                       href="/subjects/{{ $subject->id }}/lessons/{{ $lesson->id }}/edit">
                                        <i class="fas fa-pen"></i>
                                    </a>
                                </td>
                                @php
                                    $lessonsOfDay->forget($key);
                                @endphp
                            @elseif($length > 0)
                                @php
                                    --$length;
                                @endphp
                            @else
                                <td class="py-2 border border-black"></td>
                            @endif
                        @endfor
                    </tr>
                @endfor
            @endfor
        </table>
    </div>

    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.lessons', $subject) }}
@endsection
