<div class="overflow-x-auto">
    <table class="w-full text-center mt-5">
        <thead>
        <tr>
            <th class="py-5 px-5 md:px-0">Název</th>
            <th class="py-5 px-5 md:px-0">Zkratka</th>
            <th class="py-5 px-5 md:px-0">Ročník</th>
            <th class="py-5 px-5 md:px-0">Semestr</th>
            <th class="py-5 px-5 md:px-0">Ukončení</th>
            <th class="py-5 px-5 md:px-0">Kredity</th>
            <th class="py-5 px-15 md:px-0"></th>
        </tr>
        </thead>
        <tbody>
        @if($subjects->count() > 0)
            @if($semesterNow == $semester && $now >= $setting->preregistration && $now <= $setting->end_registration)
                @foreach($subjects as $subject)
                    <tr class="border-b border-gray-400 {{ (($subject->completed === 2) ? "bg-red-500 bg-opacity-60" : "") . (($subject->completed === 1) ? "bg-green-500 bg-opacity-60" : "") }}">
                        <td class="py-5 {{ (($subject->enroll === true) ? "border-l-8 border-red-700" : "") . (($subject->preregistration === true && !isset($subject->registration)) ? "border-l-8 border-blue-700" : "") . (($subject->registration === true) ? "border-l-8 border-green-500" : "") }}">
                            {{ $subject->name }}</td>
                        <td class="py-5">{{ $subject->shortname }}</td>
                        <td class="py-5">{{ $subject->study_year }}</td>
                        <td class="py-5">{{ $subject->semester }}</td>
                        <td class="py-5">{{ $subject->examination }}</td>
                        <td class="py-5">{{ $subject->credits }}</td>
                        <td class="py-5">
                        @if(!isset($subject->completed) || $subject->completed === 0 || ($subject->completed === 2 && $subject->attempts > 0))
                                @if($subject->enroll === true || $subject->preregistration === true || $subject->registration === true)
                                    <a href="/subjects/{{ $subject->id }}/unroll?study_year={{ $study_year }}&semester={{ $semester }}"
                                       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline
                            font-bold py-2">Odzapsat</a>
                                @else
                                    <a href="/subjects/{{ $subject->id }}/enroll?study_year={{ $study_year }}&semester={{ $semester }}"
                                       class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline
                            font-bold py-2">Zapsat</a>
                                @endif
                            @endif
                        </td>
                    </tr>
                @endforeach
            @else
                @foreach($subjects as $subject)
                    <tr class="border-b border-gray-400 {{ (($subject->completed === 2) ? "bg-red-500 bg-opacity-60" : "") . (($subject->completed === 1) ? "bg-green-500 bg-opacity-60" : "") }}">
                        <td class="py-5 {{ (($subject->enroll === true) ? "border-l-8 border-red-700" : "") . (($subject->preregistration === true && !isset($subject->registration)) ? "border-l-8 border-blue-700" : "") . (($subject->registration === true) ? "border-l-8 border-green-500" : "") }}">
                            {{ $subject->name }}</td>
                        <td class="py-5">{{ $subject->shortname }}</td>
                        <td class="py-5">{{ $subject->study_year }}</td>
                        <td class="py-5">{{ $subject->semester }}</td>
                        <td class="py-5">{{ $subject->examination }}</td>
                        <td class="py-5">{{ $subject->credits }}</td>
                        <td class="py-5">
                        </td>
                    </tr>
                @endforeach
            @endif
        @else
            <tr class="text-xl py-2 text-red-600">
                <td colspan="5">Nebyly nalezeny žádné předměty.</td>
            </tr>
        @endif
        </tbody>
    </table>
</div>

