<div class="my-4">
    <div
        class="border border-black bg-cyan-500 bg-opacity-40 duration-300 hover:bg-opacity-30 shadow rounded bg-white {{ ($content->visible === 2) ? 'opacity-60' : '' }}">
        <div class="p-2 pb-4 relative min-h-28 h-28">
            <h3 class="text-xl font-semibold p-2">
                <a href="{{ $content->menu->id }}"><i class="far fa-folder-open mr-1"></i> {{ $content->menu->name }}
                </a>
            </h3>

            @if(session('edit') === true && (Auth::user()->authorization === 1 || Auth::user()->authorization === 2))
                <form action="{{ $content->menu->id }}" method="POST">
                    @csrf
                    @method('delete')
                    <button class="absolute right-0 top-0 pr-2 pt-2">
                        <i class="fas fa-times"></i>
                    </button>
                </form>
                <div class="absolute right-0 bottom-0 mr-2 mb-2">
                    <div class="relative inline-block text-left">
                        <button type="button"
                                class="inline-flex w-full text-sm text-black whitespace-no-wrap no-underline font-bold"
                                id="menu-button{{ $key }}" aria-expanded="true" aria-haspopup="true">
                            <span class="hover:underline">Možnosti</span>
                            <i class="fas fa-angle-down mx-1 my-1 fa-lg"></i>
                        </button>
                    </div>
                </div>
            @endif
        </div>
    </div>
    @if(session('edit') === true && (Auth::user()->authorization === 1 || Auth::user()->authorization === 2))
        <div
            class="text-base origin-top-right absolute right-0 w-48 mt-2 rounded-md shadow-lg bg-white ring-1 ring-black ring-opacity-5 hidden z-10"
            role="menu" aria-orientation="vertical" aria-labelledby="menu-button" tabindex="-1"
            id="menu{{ $key }}">
            <div role="none">
                @if($content->visible === 1)
                    <a href="{{ $menu->id }}/contents/{{ $content->id }}/visible-off"
                       class="text-gray-700 p-1.5 block hover:bg-gray-200" role="menuitem" tabindex="-1"
                       id="menu-item-1">Skrýt</a>
                @elseif($content->visible === 2)
                    <a href="{{ $menu->id }}/contents/{{ $content->id }}/visible-on"
                       class="text-gray-700 p-1.5 block hover:bg-gray-200" role="menuitem" tabindex="-1"
                       id="menu-item-1">Zobrazit</a>
                @endif
                <a href="{{ $menu->id }}/menus/{{ $content->menu->id }}/edit"
                   class="text-gray-700 p-1.5 block hover:bg-gray-200" role="menuitem" tabindex="-1"
                   id="menu-item-1">Upravit</a>

            </div>
        </div>
    @endif
</div>

@section('scripts')
    <script>
        $(document).ready(function () {
            let button = $('#menu-button{{ $key }}');
            let menu = $('#menu{{ $key }}');

            button.click(function () {
                if (menu.hasClass('hidden')) {
                    menu.removeClass('hidden');
                } else {
                    menu.addClass('hidden');
                }
            })

            $(document).on("focusout", button, function () {
                menu.addClass('hidden');
            });
        });
    </script>
@append
