@extends('layouts.subject')

@section('title', 'Upravit text')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Upravit text</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form action="/subjects/{{ $subject->id }}/menus/{{ $menu->id }}/contents/{{ $content->id }}" method="POST">
            @csrf
            @method('put')
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Text</span>
                <div class="mt-2">
                    <textarea class="form-control" id="summary-ckeditor" name="text">{!! old('text', $content->text) !!}</textarea>
                </div>
                @error('text')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">Upravit</button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.menus.contents.edit', $subject, $menu, $content) }}
@endsection

@section('scripts')
    <script>
        ClassicEditor
            .create( document.querySelector( '#summary-ckeditor' ) )
            .catch( error => {
                console.error( error );
            } );
    </script>
@endsection
