@extends('layouts.subject')

@section('title', 'Přidat záložku')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Přidat záložku</h2>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form action="/subjects/{{ $subject->id }}/menus" method="POST">
            @csrf
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Název</span>
                <input name="name" type="text" value="{{ old('name') }}"
                       class="@error('name') border-red-500 @enderror form-input block w-full mt-2 border border-gray-200">
                @error('name')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">Přidat</button>
        </form>
    </div>
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.menus.create', $subject) }}
@endsection
