@extends('layouts.subject')

@section('title', 'Výsledky testu')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Výsledky testu</h2>

    @if($test->attempts->isNotEmpty())
    <table class="w-full mx-auto text-center">
        <tr>
            <th class="py-5 px-5 md:px-0">Příjmení</th>
            <th class="py-5 px-5 md:px-0">Jméno</th>
            <th class="py-5 px-5 md:px-0">Login</th>
            <th class="py-5 px-5 md:px-0">Počet bodů</th>
            <th class="py-5 px-15 md:px-0"></th>
        </tr>
        @foreach($test->attempts as $attempt)
            @if($attempt->user->authorization === 3)
                <tr class="border-b border-gray-400">
                    <td class="py-2">{{ $attempt->user->lastname }}</td>
                    <td class="py-2">{{ $attempt->user->firstname }}</td>
                    <td class="py-2">{{ $attempt->user->username }}</td>
                    <td class="py-2">{{ $attempt->points . '/' . $attempt->max_points }}</td>
                    <td class="py-2">
                        <a href="/subjects/{{ $subject->id }}/menus/{{ $menu->id }}/tests/{{ $test->id }}/attempts/{{ $attempt->id }}"
                           class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">Náhled</a>
                    </td>
                </tr>
            @endif
        @endforeach
    </table>
    @else
        <p class="text-xl pl-5 py-2 text-red-600">Nebyly nalezeny žádné výsledky testu.</p>
    @endif
@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.menus.tests.attempts', $subject, $menu, $test) }}
@endsection
