@php
    $userAnswer = $attempt->usersAnswers->where('test_question_id', $question->pivot->id)->first();
@endphp

<h4 class="text-xl font-semibold uppercase tracking-wider mb-5">Otázka {{ $key + 1 }}</h4>
<div
    class="block {{ ($userAnswer->point == $question->pivot->point) ? 'border-green-400' : 'border-red-600'  }} border rounded bg-white py-2 px-3 md:py-5 md:px-10 mb-5">
    <div class="mt-2">
        <div class="flex justify-between font-semibold">
            <div class="ck-content mb-3 text-lg">
                {!! $question->task !!}
            </div>
            <div class="mb-3 text-lg">
                <p><span id="point{{ $question->pivot->id }}">{{ $userAnswer->point }}</span>/<span
                        id="maxpoint{{ $question->pivot->id }}">{{ $question->pivot->point }}</span></p>
            </div>
        </div>

        @if($setting->numbering === 2)
            @php
                $alpha = range('A', 'Z');
            @endphp
        @endif
        @if(count($question->answersRight) === 1)
            @foreach($question->answers as $key2 => $answer)
                <div>
                    <label class="inline-flex items-center my-1 {{ ($answer->isRight === 1) ? 'text-green-400' : '' }} {{ ($userAnswer->value !== null && $userAnswer->value == $answer->id) ? 'text-red-600' : '' }}">
                        <input disabled type="radio" class="form-radio border border-gray-400"
                               name="answer[{{ $question->id }}]"
                               value="{{ $answer->id }}" {{ ($userAnswer->value !== null && $userAnswer->value == $answer->id) ? 'checked' : '' }}>
                        @if($setting->numbering === 2)
                            <span class="ml-2">{{ $alpha[$key2] }}. </span>
                        @elseif($setting->numbering === 3)
                            <span class="ml-2">{{ $key2 + 1 }}. </span>
                        @endif
                        <span class="ck-content ml-2">{!! $answer->answer !!}</span>
                        @if($answer->isRight === 1)
                            <i class="fas fa-check"></i>
                        @elseif($userAnswer->value !== null && $userAnswer->value == $answer->id)
                            <i class="fas fa-times"></i>
                        @endif
                    </label>
                </div>
            @endforeach
        @elseif(count($question->answersRight) > 1)
            @foreach($question->answers as $key2 => $answer)
                <div>
                    <label class="inline-flex items-center my-1 {{ ($answer->isRight === 1) ? 'text-green-400' : '' }} {{ ($userAnswer->value !== null && str_contains($userAnswer->value, '"' . $answer->id . '"')) ? 'text-red-600' : '' }}">
                        <input disabled type="checkbox" class="form-checkbox border border-gray-400"
                               name="answer[{{ $question->id }}][{{ $key2 }}]"
                               value="{{ $answer->id }}" {{ ($userAnswer->value !== null && str_contains($userAnswer->value, '"' . $answer->id . '"')) ? 'checked' : '' }}>
                        @if($setting->numbering === 2)
                            <span class="ml-2">{{ $alpha[$key2] }}. </span>
                        @elseif($setting->numbering === 3)
                            <span class="ml-2">{{ $key2 + 1 }}. </span>
                        @endif
                        <span class="ck-content ml-2">{!! $answer->answer !!}</span>
                        @if($answer->isRight === 1)
                            <i class="fas fa-check"></i>
                        @elseif($userAnswer->value !== null && str_contains($userAnswer->value, '"' . $answer->id . '"'))
                            <i class="fas fa-times"></i>
                        @endif
                    </label>
                </div>
            @endforeach
        @endif

        @if(isset($feedback))
            <p class="{{ ($right === 1) ? 'text-green-400' : 'text-red-600'}} italic mt-2">
                {{ $feedback }}
            </p>
        @endif

    </div>
</div>
