@php
    $userAnswer = $attempt->usersAnswers->where('test_question_id', $question->pivot->id)->first();
    $rightAnswer = $question->answersRight->first();
@endphp

<h4 class="text-xl font-semibold uppercase tracking-wider mb-5">Otázka {{ $key + 1 }}</h4>
<div
    class="block {{ ($userAnswer->point == $question->pivot->point) ? 'border-green-400' : 'border-red-600'  }} border rounded bg-white py-2 px-3 md:py-5 md:px-10 mb-5">
    <div class="mt-2">
        <div class="flex justify-between font-semibold">
            <div class="ck-content mb-3 text-lg">
                {!! $question->task !!}
            </div>
            <div class="mb-3 text-lg">
                <p><span id="point{{ $question->pivot->id }}">{{ $userAnswer->point }}</span>/<span
                        id="maxpoint{{ $question->pivot->id }}">{{ $question->pivot->point }}</span></p>
            </div>
        </div>
        <div>
            <label class="inline-flex items-center my-1 {{ ($rightAnswer->answer === '1') ? 'text-green-400' : '' }} {{ ($userAnswer->value !== null && $userAnswer->value === '1') ? 'text-red-600' : '' }}">
                <input disabled type="radio" class="form-radio border border-gray-400"
                       name="answer[{{ $question->id }}]"
                       value="1" {{ ($userAnswer->value === '1') ? 'checked' : ''}}>
                @if($setting->numbering === 2)
                    <span class="ml-2">A. </span>
                @elseif($setting->numbering === 3)
                    <span class="ml-2">1. </span>
                @endif
                <span class="mx-2">Pravda</span>
                @if($rightAnswer->answer === '1')
                    <i class="fas fa-check"></i>
                @elseif($userAnswer->value === '1')
                    <i class="fas fa-times"></i>
                @endif
            </label>
        </div>
        <div>
            <label class="inline-flex items-center my-1 {{ ($rightAnswer->answer === '2') ? 'text-green-400' : '' }} {{ ($userAnswer->value !== null && $userAnswer->value === '2') ? 'text-red-600' : '' }}">
                <input disabled type="radio" class="form-radio border border-gray-400"
                       name="answer[{{ $question->id }}]"
                       value="2" {{ ($userAnswer->value === '2') ? 'checked' : ''}}>
                @if($setting->numbering === 2)
                    <span class="ml-2">B. </span>
                @elseif($setting->numbering === 3)
                    <span class="ml-2">2. </span>
                @endif
                <span class="mx-2">Nepravda</span>
                @if($rightAnswer->answer === '2')
                    <i class="fas fa-check"></i>
                @elseif($userAnswer->value === '2')
                    <i class="fas fa-times"></i>
                @endif
            </label>
        </div>

        @if(isset($feedback))
            <p class="{{ ($right === 1) ? 'text-green-400' : 'text-red-600'}} italic mt-2">
                {{ $feedback }}
            </p>
        @endif
    </div>
</div>
