@php
    $userAnswer = $attempt->usersAnswers->where('test_question_id', $question->pivot->id)->first();
    if ($userAnswer->point == $question->pivot->point){
        $isRight = true;
    } else {
        $isRight = false;
    }

    if (preg_match('/_____+/', $question->task)){
        $answerInText = true;
        $input = '<span class="inline-block">
                    <span class="flex flex-wrap items-stretch w-full relative items-center ' . (($isRight) ? 'text-green-400' : 'text-red-600') . '">
                        <input disabled name="answer[' . $question->id . ']" type="text" autocomplete="off"
                               class="flex-shrink flex-grow flex-auto flex-1 relative self-center form-input focus:shadow-outline-gray mt-2 border border-gray-200 border-r-0 rounded-r-none"
                               value="' . (($userAnswer->value !== null) ? $userAnswer->value : '') . '">';
        if ($isRight){
            $input .= '<span class="flex -mr-px">
                                <span
                                    class="flex items-center px-3 rounded rounded-l-none bg-opacity-20 bg-gray-400 mt-2 border border-gray-200 border-l-0">
                                    <i class="fas fa-check"></i>
                                </span>
                        </span>';
        }else{
            $input .= '<span class="flex -mr-px">
                            <span
                                class="flex items-center px-3 rounded rounded-l-none bg-opacity-20 bg-gray-400 mt-2 border border-gray-200 border-l-0">
                                <i class="fas fa-times"></i>
                            </span>
                    </span>
                    ';
        }
        $input .= '</span></span>';
        $question->task = preg_replace('/_____+/', $input, $question->task);
    } else{
    $answerInText = false;
    }
@endphp

<h4 class="text-xl font-semibold uppercase tracking-wider mb-5">Otázka {{ $key + 1 }}</h4>
<div
    class="block {{ ($isRight) ? 'border-green-400' : 'border-red-600'  }} border rounded bg-white py-2 px-3 md:py-5 md:px-10 mb-5">
    <div class="mt-2">
        <div class="flex justify-between font-semibold">
            <div class="ck-content mb-3 text-lg">
                {!! $question->task !!}
            </div>
            <div class="mb-3 text-lg">
                <p><span id="point{{ $question->pivot->id }}">{{ $userAnswer->point }}</span>/<span
                        id="maxpoint{{ $question->pivot->id }}">{{ $question->pivot->point }}</span></p>
            </div>
        </div>

        @if(!$answerInText)
            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold">Odpověď:</span>
                <div
                    class="flex flex-wrap items-stretch w-full relative items-center {{ ($isRight) ? 'text-green-400' : 'text-red-600' }}">
                    <input disabled name="answer[{{ $question->id }}]" type="text" autocomplete="off"
                           class="flex-shrink flex-grow flex-auto flex-1 relative self-center form-input focus:shadow-outline-gray mt-2 border border-gray-200 border-r-0 rounded-r-none"
                           value="{{ (($userAnswer->value !== null) ? $userAnswer->value : '') }}">
                    @if($isRight)
                        <div class="flex -mr-px">
                            <span
                                class="flex items-center px-3 rounded rounded-l-none bg-opacity-20 bg-gray-400 mt-2 border border-gray-200 border-l-0">
                                <i class="fas fa-check"></i>
                            </span>
                        </div>
                    @else
                        <div class="flex -mr-px">
                            <span
                                class="flex items-center px-3 rounded rounded-l-none bg-opacity-20 bg-gray-400 mt-2 border border-gray-200 border-l-0">
                                <i class="fas fa-times"></i>
                            </span>
                        </div>
                    @endif
                </div>
            </label>
        @endif

        @if(isset($feedback))
            <p class="{{ ($right === 1) ? 'text-green-400' : 'text-red-600'}} italic mt-2">
                {{ $feedback }}
            </p>
        @endif

        @if(count($question->answersRight) === 1)
            <p class="italic mt-2">Správná odpověď:</p>
            <div class="italic ml-5">
                <ul class="list-disc">
                    @foreach($question->answersRight as $rightAnswer)
                        <li class="ck-content pt-2"><p>{!! $rightAnswer->answer !!}</p></li>
                    @endforeach
                </ul>
            </div>
        @elseif(count($question->answersRight) > 1)
            <p class="italic mt-2">Správné odpovědi:</p>
            <div class="italic ml-5">
                <ul class="list-disc pl-2">
                    @foreach($question->answersRight as $rightAnswer)
                        <li class="ck-content pt-2"><p>{!! $rightAnswer->answer !!}</p></li>
                    @endforeach
                </ul>
            </div>
        @endif
    </div>
</div>
