@extends('layouts.subject')

@section('title', $attempt->test->name)

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">{{ $attempt->test->name }}</h2>

    <p class="text-justify leading-5 px-2 py-5">{!! $attempt->test->description !!}</p>
    <div class="px-2 py-5">
        <ul>
            @switch($attempt->test->type)
                @case(1)
                <li class="pb-2"><span class="font-semibold">Typ:</span> Procvičovací test</li>
                @break
                @case(2)
                <li class="pb-2"><span class="font-semibold">Typ:</span> Zápočtový test</li>
                @break
                @case(3)
                <li class="pb-2"><span class="font-semibold">Typ:</span> Zkouškový test</li>
                @break
            @endswitch
            <li class="pb-2"><span class="font-semibold">Celkový počet bodů:</span> {{ $attempt->test->points }}
            </li>
            <li class="pb-2"><span class="font-semibold">Získaný počet bodů:</span> {{ $attempt->points }}</li>
            <li class="pb-2"><span class="font-semibold">Časový limit:</span> {{ $attempt->test->time }}</li>
        </ul>
    </div>

    @if($attempt->test->type === 1)
        <div class="w-full mp:w-2/3  mx-auto">
            @foreach($attempt->test->questions as $key => $question)
                @switch($question->type)
                    @case(1)
                    @include('subjects.menus.tests.attempts.show-type-1')
                    @break
                    @case(2)
                    @include('subjects.menus.tests.attempts.show-type-2')
                    @break
                    @case(3)
                    @include('subjects.menus.tests.attempts.show-type-3')
                    @break
                @endswitch
            @endforeach
            @if(Auth::user()->id === $attempt->user_id)
                <form action="/subjects/{{ $subject->id }}/menus/{{ $menu->id }}/tests/{{ $attempt->test->id }}/attempts/{{ $attempt->id }}"
                      method="POST">
                    @csrf
                    @method('delete')
                    <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">Nový pokus</button>
                </form>
            @endif
        </div>
    @endif

    @if(Auth::user()->id !== $attempt->user_id && (Auth::user()->authorization === 2 || Auth::user()->authorization === 1))
        <script defer>
            $(document).on("click", '[id^="point"]', function () {
                let id = $(this).attr('id');
                let idMax = '#max' + id;
                let input = $("<input>", {
                    id: 'input' + id,
                    val: $(this).text(),
                    type: "number",
                    name: "point",
                    min: 0,
                    max: $(idMax).text(),
                    class: "form-input border border-gray-200",
                });

                $(this).replaceWith(input);
                input.select();
            });

            $(document).on("focusout", '[id^="inputpoint"]', function () {
                let point = $(this).val();
                let id = $(this).attr('id');
                let length = id.length;
                let test_question_id = id.substr(10, length - 10);
                let idText = 'point' + test_question_id;

                id = '#' + id;
                let max = $(this).attr('max');
                let value = $(this).val();
                if (parseInt(value) <= parseInt(max) && parseInt(value) >= 0) {
                    $.ajaxSetup({headers: {'X-CSRF-TOKEN': '{{csrf_token()}}'}});

                    $.ajax({
                        url: '{{ url('/attempts/update-point') }}',
                        method: 'POST',
                        data: {
                            user_id: {{ $attempt->user_id }},
                            test_question_id: test_question_id,
                            updatedPoint: 1,
                            point: point,
                        }, success: function (response) {
                            let text = $("<span>", {
                                id: idText,
                                text: $(id).val(),
                            }, "</span>");
                            $(id).replaceWith(text);
                            location.reload();
                        }
                    })
                }
            });

        </script>
    @endif
@endsection


