@extends('layouts.subject')

@section('title', $test->name)

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">{{ $test->name }}</h2>

    <p class="text-justify leading-5 px-2 py-5">{!! $test->description !!}</p>
    <div class="px-2 py-5">
        <ul>
            @switch($test->type)
                @case(1)
                <li class="pb-2">Typ: Procvičovací test</li>
                @break
                @case(2)
                <li class="pb-2">Typ: Zápočtový test</li>
                @break
                @case(3)
                <li class="pb-2">Typ: Zkouškový test</li>
                @break
            @endswitch
            <li class="pb-2">Celkový počet bodů: {{ $test->points }}</li>
            <li class="pb-2">Časový limit: {{ $test->time }}</li>
        </ul>
    </div>

    <div class="w-full md:w-2/3 mx-auto px-2 py-5">
        <form action="/subjects/{{ $subject->id }}/menus/{{ $menu->id }}/tests/{{ $test->id }}/enroll"
              method="POST">
            @csrf

            <label class="block my-2">
                <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Heslo</span>
                <input name="password" type="password"
                       class="@error('password') border-red-500 @enderror form-input block w-full focus:shadow-outline-gray mt-2 border border-gray-200">
                @error('password')
                <p class="text-red-500 text-xs italic mt-2">
                    {{ $message }}
                </p>
                @enderror
            </label>

            <button type="submit" class="w-full font-bold whitespace-no-wrap p-2 rounded text-lg text-white bg-black hover:bg-gray-700 mb-3">Začít</button>
        </form>
    </div>
@endsection


