@extends('layouts.subject')

@section('title', 'Přidat úlohy')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Přidat úlohy</h2>

    <label class="block my-2">
        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Kategorie</span>
        <select id="select" name="type" class="filter form-select block w-full mt-2 border border-gray-200">
            @foreach($subject->categories as $key => $selectCategory)
                @php
                    $id_test = $test->id;
                      $count = \App\Models\Question::where('category_id', $selectCategory->id)->whereNotExists(function ($query) use ($id_test) {
                          $query->select(DB::raw(1))
                              ->from('tests_questions')
                              ->whereRaw('questions.id = tests_questions.question_id')
                              ->where('tests_questions.test_id', $id_test);
                      })->count();
                @endphp
                <option
                    value="{{ $selectCategory->id }}">{{ $selectCategory->name }}
                    ({{ $count }})
                </option>
            @endforeach
        </select>
    </label>

    <div class="list">
        @include('subjects.menus.tests.list', ['questions' => $questions])
    </div>

    <input type="hidden" name="hidden_page" id="hidden_page" value="1"/>

@endsection

@section('breadcrumbs')
    {{ Breadcrumbs::render('subjects.menus.tests.questions-add', $subject, $menu, $test) }}
@endsection

@section('scripts')
    <script>
        let url = "{{ route('teacher.subjects.menus.tests.search', [$subject, $menu, $test]) }}";
    </script>
    <script src="{{ asset('js/live-search.js') }}"></script>
@endsection
