@if($students->count() > 0)
    @php
        $grade = ['?', 'A', 'B', 'C', 'D', 'E', 'F'];
    @endphp
    @foreach($students as $key => $student)

        <div class="w-full bg-white mb-4 rounded shadow">
            <div class="px-4 pt-3 pb-3 grid grid-flow-row grid-cols-6  md:grid-cols-10 font-semibold text-gray-700">
                <a target="{{ $key }}" class="show col-span-6 cursor-pointer">
                    <h4 class="text-xl uppercase tracking-wider hover:text-black hover:underline">{{ $student->lastname . ' ' . $student->firstname }}</h4>
                </a>
                @if($subject->examination === 2)
                    <div class="text-lg col-span-2">
                        <p>Zkouška: <span class="grade" target="{{ $student->id }}"
                                          type="exam">{{ (($student->classification !== null && $student->classification->exam !== null) ? $grade[$student->classification->exam] : '?') }}</span>
                        </p>
                    </div>
                @endif
                <div class="text-lg col-span-2">
                    <p>Zápočet: <span class="grade" target="{{ $student->id }}"
                                      type="credit">{{ (($student->classification !== null && $student->classification->credit !== null) ? $grade[$student->classification->credit] : '?') }}</span>
                    </p>
                </div>
            </div>
            <div id="div{{ $key }}" hidden class="pb-5 px-4">
                @if($student->attempts->where('subject_id', $subject->id)->count() > 0)
                    <div class="overflow-x-auto">
                        <table class="w-full text-center mt-0 md:mt-5">
                            <tr>
                                <th class="py-5 px-5 md:px-0">Název testu</th>
                                <th class="py-5 px-5 md:px-0">Body</th>
                                <th class="py-5 px-5 md:px-0">Náhled</th>
                                <th class="py-5 px-5 md:px-0"></th>
                            </tr>
                            @foreach($student->attempts->where('subject_id', $subject->id) as $attempt)
                                <tr class="border-b border-gray-400">
                                    <td class="py-2">{{ $attempt->name }}</td>
                                    <td class="py-2">{{ $attempt->points . '/' . $attempt->max_points }}</td>
                                    @if($attempt->test_id !== null)
                                        <td class="py-2">
                                            <a href="/subjects/{{ $subject->id }}/menus/{{ $attempt->test->content->menu_id }}/tests/{{ $attempt->test->id }}/attempts/{{ $attempt->id }}"
                                               class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">Náhled</a>
                                        </td>
                                    @else
                                        <td class="py-2">
                                        </td>
                                    @endif
                                    <td class="py-2">
                                        <a href="students/{{ $student->id }}/attempts/{{ $attempt->id }}/edit"
                                           class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">Upravit</a>
                                        <form action="students/{{ $student->id }}/attempts/{{ $attempt->id }}"
                                              method="POST">
                                            @csrf
                                            @method('delete')
                                            <button
                                                class="text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold py-2">
                                                Odstranit
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </table>
                    </div>
                @endif
                <a href="students/{{ $student->id }}/attempts/create"
                   class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold mt-3">Přidat
                    klasifikaci</a>
            </div>
        </div>
    @endforeach
@else
    <p class="text-xl pl-5 py-2 text-red-600">Nebyli nalezeni žádní studenti.</p>
@endif

<div class="mt-3" id="pagination">
</div>
