@extends('layouts.appWoMenu')

@section('title', 'Změna hesla')

@section('content')
    <div class="flex justify-center items-center h-screen">
        <div class="w-full sm:w-6/12">

            <section class="flex flex-col break-words bg-white sm:border-1 sm:rounded-md sm:shadow-sm sm:shadow-lg">

                <header
                    class="font-semibold uppercase text-2xl text-gray-700 py-3 px-3 sm:py-4 sm:px-5 sm:rounded-t-md">
                    {{ 'Změna hesla' }}
                </header>

                <form class="w-full px-6 space-y-6 sm:px-10 sm:space-y-8" method="POST"
                      action="{{ route('student.password.update') }}">
                    @csrf
                    @method('put')

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Staré heslo:</span>

                        <input id="current-password" type="password"
                               class="form-input block w-full mt-2 border border-gray-200 @error('current-password') border-red-500 @enderror" name="current-password"
                               required autocomplete="new-password">

                        @error('current-password')
                        <p class="text-red-500 text-xs italic mt-4">
                            {{ $message }}
                        </p>
                        @enderror
                    </label>

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Nové heslo:</span>

                        <input id="password" type="password"
                               class="form-input block w-full mt-2 border border-gray-200 @error('password') border-red-500 @enderror" name="password"
                               required autocomplete="off">


                        @error('password')
                        <p class="text-red-500 text-xs italic mt-4">
                            {{ $message }}
                        </p>
                        @enderror
                    </label>

                    <label class="block my-2">
                        <span class="block text-gray-700 text-sm font-bold mb-1 md:mb-2">Potvrzení nového hesla:</span>

                        <input id="new-confirm-password" type="password"
                               class="form-input block w-full mt-2 border border-gray-200 @error('new-confirm-password') border-red-500 @enderror" name="new-confirm-password"
                               required autocomplete="off">

                        @error('new-confirm-password')
                        <p class="text-red-500 text-xs italic mt-4">
                            {{ $message }}
                        </p>
                        @enderror
                    </label>

                    <div class="flex flex-wrap pb-8 sm:pb-10">
                        <button type="submit"
                                class="w-full select-none font-bold whitespace-no-wrap p-3 rounded-lg text-base leading-normal no-underline text-white bg-black hover:bg-gray-900 sm:py-4">
                            {{ __('Změnit heslo') }}
                        </button>
                    </div>
                </form>

            </section>
        </div>
    </div>
@endsection
