@extends('layouts.appWoMenu')

@section('title', 'Profil')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Profil</h2>

    <div class="pt-2 md:pt-5">
        <h3 class="text-xl font-semibold uppercase tracking-wider">Osobní údaje:</h3>
        <div class="grid grid-flow-row grid-cols-5 md:grid-cols-10">
            <div class="col-span-5 pt-2 md:pt-0">
                <div class="overflow-x-auto">
                    <table class="w-full text-left md:text-center mt-2 table-auto">
                        <tr>
                            <th class="py-2 px-5 md:px-0 whitespace-nowrap">Jméno:</th>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $user->lastname . ' ' . $user->firstname }}</td>
                        </tr>
                        <tr>
                            <th class="py-2 px-5 md:px-0 whitespace-nowrap">Login:</th>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $user->username }}</td>
                        </tr>
                        <tr>
                            <th class="py-2 px-5 md:px-0 whitespace-nowrap">E-mail:</th>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $user->email }}</td>
                        </tr>
                        <tr>
                            <th class="py-2 px-5 md:px-0 whitespace-nowrap">Heslo:</th>
                            <td class="py-2 px-5 md:px-0 whitespace-nowrap">
                                <a href="{{ route('student.password.edit') }}"
                                   class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">změnit</a>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            @if($user->field !== null)
                <div class="col-span-5 pt-2 md:pt-0">
                    <div class="overflow-x-auto">
                        <table class="w-full text-left md:text-center mt-2 table-auto">
                            <tr>
                                <th class="py-2 px-5 md:px-0 whitespace-nowrap">Obor:</th>
                                <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $user->field->name }}</td>
                            </tr>
                            <tr>
                                <th class="py-2 px-5 md:px-0 whitespace-nowrap">Odstudováno:</th>
                                @php
                                    $now = \Carbon\Carbon::now();
                                    $register = new \Carbon\Carbon($user->study_year);
                                    $register = $register->diff($now)->days;
                                @endphp
                                <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $register }} dní</td>
                            </tr>
                            <tr>
                                <th class="py-2 px-5 md:px-0 whitespace-nowrap">Kredity:</th>
                                <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $user->completedSubjects->sum('credits') . '/' . $user->field->credits }}</td>
                            </tr>
                            <tr>
                                <th class="py-2 px-5 md:px-0 whitespace-nowrap">Plánované kredity:</th>
                                <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $user->uncompletedSubjects->sum('credits') }}</td>
                            </tr>
                            <tr>
                                <th class="py-2 px-5 md:px-0 whitespace-nowrap">Splněné předměty:</th>
                                <td class="py-2 px-5 md:px-0 whitespace-nowrap">{{ $user->completedSubjects->count() . '/' . $user->field->subjects->count() }}</td>
                            </tr>
                        </table>
                    </div>
                </div>
            @endif
        </div>
    </div>

    @if($subjects->count() > 0 && $user->authorization === 3)
        <div class="pt-4 md:pt-5">
            <h3 class="text-xl font-semibold uppercase tracking-wider">Klasifikace:</h3>
            <select name="study_year" id="select"
                    class="filter form-select block w-full mt-2 border border-gray-200">
                <option value="1" {{ (isset($_GET['study_year']) && $_GET['study_year'] === '1') ? 'selected' : '' }}>1.
                    ročník
                </option>
                <option value="2" {{ (isset($_GET['study_year']) && $_GET['study_year'] === '2') ? 'selected' : '' }}>2.
                    ročník
                </option>
                <option value="3" {{ (isset($_GET['study_year']) && $_GET['study_year'] === '3') ? 'selected' : '' }}>3.
                    ročník
                </option>
            </select>
            <div class="list">
                @include('users.list', ['subjects' => $subjects])
            </div>
        </div>
    @endif

    @if($user->authorization === 3 || $user->authorization === 2)
        @include('.administration-student')
    @endif
@endsection

@section('scripts')
    <script>
        let url = "{{ route('student.profile.filter') }}";
    </script>
    <script src="{{ asset('js/live-search.js') }}"></script>
@endsection
