@extends('layouts.appWoMenu')

@section('title', 'Kurzy')

@section('content')
    <h2 class="text-3xl font-semibold uppercase tracking-wider">Kurzy</h2>

    <div class="px-10 py-2">
        @if($user->authorization === 3)
            <ul class="w-full pl-5">
                @for($i = 1; $i <= $user->field->years; $i++)
                    @if($user->subjects->contains('study_year', $i))
                        <li>
                            <h3 class="text-2xl font-semibold">{{ $i }}. ročník</h3>
                        </li>
                        <li>
                            <ul class="pl-5">
                                @if($user->subjects->contains('semester', 1))
                                    <li>
                                        <h5 class="text-xl font-semibold">Zimní semester</h5>
                                    </li>
                                    <li>
                                        <ul class="pl-5">
                                            @foreach($user->subjects as $subject)
                                                @if($subject->study_year === $i && $subject->semester === 1)
                                                    <li class="py-1">
                                                        <a href="/subjects/{{ $subject->id }}/sylabus"
                                                           class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">{{ $subject->name . " (" . $subject->shortname . ")" }}</a>
                                                    </li>
                                                @endif
                                            @endforeach
                                        </ul>
                                    </li>
                                @endif
                                @if($user->subjects->contains('semester', 2))
                                    <li>
                                        <h5 class="text-xl font-semibold">Letní semester</h5>
                                    </li>
                                    <li>
                                        <ul class="pl-5">
                                            @foreach($user->subjects as $subject)
                                                @if($subject->study_year === $i && $subject->semester === 2)
                                                    <li class="py-1">
                                                        <a href="/subjects/{{ $subject->id }}/sylabus"
                                                           class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">{{ $subject->name . " (" . $subject->shortname . ")" }}</a>
                                                    </li>
                                                @endif
                                            @endforeach
                                        </ul>
                                    </li>
                                @endif
                            </ul>
                        </li>
                    @endif
                @endfor
            </ul>
        @else
            <ul class="w-full pl-5 list-disc">
                @foreach($user->subjects as $subject)
                    <li class="py-1 pt-3">
                        <a href="/subjects/{{ $subject->id }}/sylabus"
                           class="block text-gray-600 hover:text-gray-900 whitespace-no-wrap no-underline hover:underline font-bold">{{ $subject->name . " (" . $subject->shortname . ")" }}</a>
                    </li>
                @endforeach
            </ul>
        @endif

    </div>
@endsection
