<?php

use DaveJamesMiller\Breadcrumbs\Facades\Breadcrumbs;

// Subject
Breadcrumbs::for('subjects', function ($trail, $subject) {
    $trail->push($subject->name, route('student.subjects.sylabus', $subject));
});

// Subject > Sylabus
Breadcrumbs::for('subjects.sylabus', function ($trail, $subject) {
    $trail->parent('subjects', $subject);
    $trail->push('Sylabus', route('student.subjects.sylabus', $subject));
});

// Subject > Sylabus > Edit
Breadcrumbs::for('subjects.sylabus.edit', function ($trail, $subject) {
    $trail->parent('subjects.sylabus', $subject);
    $trail->push('Upravit', route('teacher.subjects.sylabus.edit', $subject));
});

// Subject > Contacts
Breadcrumbs::for('subjects.contacts', function ($trail, $subject) {
    $trail->parent('subjects', $subject);
    $trail->push('Kontakty', route('student.subjects.contacts', $subject));
});

// Subject > Menu
Breadcrumbs::for('subjects.menus', function ($trail, $subject, $menu) {
    $menu2 = $menu;

    if ($menu2->content !== null) {
        $menu2 = \App\Models\Menu::find($menu2->content->menu_id);
        $trail->parent('subjects.menus', $subject, $menu2);
    } else {
        $trail->parent('subjects', $subject);
    }

    $trail->push($menu->name, route('student.subjects.menus', [$subject, $menu]));
});

// Subject > Menu > Contents edit
Breadcrumbs::for('subjects.menus.contents.edit', function ($trail, $subject, $menu, $content) {
    $trail->parent('subjects.menus', $subject, $menu);
    $trail->push('Upravit text', route('teacher.subjects.menus.contents.edit', [$subject, $menu, $content]));
});

// Subject > Menu > Menus create
Breadcrumbs::for('subjects.menus.menus.create', function ($trail, $subject, $menu) {
    $trail->parent('subjects.menus', $subject, $menu);
    $trail->push('Přidat složku', route('teacher.subjects.menus.menus.create', [$subject, $menu]));
});

// Subject > Menu > Menus edit
Breadcrumbs::for('subjects.menus.menus.edit', function ($trail, $subject, $menu1, $menu2) {
    $trail->parent('subjects.menus', $subject, $menu1);
    $trail->push('Upravit složku', route('teacher.subjects.menus.menus.edit', [$subject, $menu1, $menu2]));
});

// Subject > Menu > File create
Breadcrumbs::for('subjects.menus.files.create', function ($trail, $subject, $menu) {
    $trail->parent('subjects.menus', $subject, $menu);
    $trail->push('Přidat soubor', route('teacher.subjects.menus.files.create', [$subject, $menu]));
});

// Subject > Menu > File edit
Breadcrumbs::for('subjects.menus.files.edit', function ($trail, $subject, $menu, $file) {
    $trail->parent('subjects.menus', $subject, $menu);
    $trail->push('Upravit soubor', route('teacher.subjects.menus.files.edit', [$subject, $menu, $file]));
});

// Subject > Menu > Test create
Breadcrumbs::for('subjects.menus.tests.create', function ($trail, $subject, $menu) {
    $trail->parent('subjects.menus', $subject, $menu);
    $trail->push('Přidat test', route('teacher.subjects.menus.tests.create', [$subject, $menu]));
});

// Subject > Menu > Test > Show
Breadcrumbs::for('subjects.menus.tests.show', function ($trail, $subject, $menu, $test) {
    $trail->parent('subjects.menus', $subject, $menu);
    $trail->push($test->name, route('student.subjects.menus.tests.show', [$subject, $menu, $test]));
});

// Subject > Menu > Test > Edit
Breadcrumbs::for('subjects.menus.tests.edit', function ($trail, $subject, $menu, $test) {
    $trail->parent('subjects.menus.tests.show', $subject, $menu, $test);
    $trail->push('Upravit test', route('teacher.subjects.menus.tests.edit', [$subject, $menu, $test]));
});

// Subject > Menu > Test > Attempts
Breadcrumbs::for('subjects.menus.tests.attempts', function ($trail, $subject, $menu, $test) {
    $trail->parent('subjects.menus.tests.show', $subject, $menu, $test);
    $trail->push('Výsledky testu', route('teacher.subjects.menus.tests.attempts', [$subject, $menu, $test]));
});

// Subject > Menu > Test > Questions
Breadcrumbs::for('subjects.menus.tests.questions', function ($trail, $subject, $menu, $test) {
    $trail->parent('subjects.menus.tests.show', $subject, $menu, $test);
    $trail->push('Úlohy testu', route('teacher.subjects.menus.tests.questions', [$subject, $menu, $test]));
});

// Subject > Menu > Test > Questions > Questions add
Breadcrumbs::for('subjects.menus.tests.questions-add', function ($trail, $subject, $menu, $test) {
    $trail->parent('subjects.menus.tests.questions', $subject, $menu, $test);
    $trail->push('Přidat úlohy', route('teacher.subjects.menus.tests.questions-add', [$subject, $menu, $test]));
});

// Subject > Create menu
Breadcrumbs::for('subjects.menus.create', function ($trail, $subject) {
    $trail->parent('subjects', $subject);
    $trail->push('Přidat záložku', route('teacher.subjects.menus.create', $subject));
});

// Subject > Students
Breadcrumbs::for('subjects.students', function ($trail, $subject) {
    $trail->parent('subjects', $subject);
    $trail->push('Studenti', route('teacher.subjects.students', $subject));
});

// Subject > Students > Attempt edit
Breadcrumbs::for('subjects.students.attempts.edit', function ($trail, $subject, $user, $attempt) {
    $trail->parent('subjects.students', $subject);
    $trail->push('Upravit klasifikaci', route('teacher.subjects.students.attempts.edit', [$subject, $user, $attempt]));
});

// Subject > Students > Attempt create
Breadcrumbs::for('subjects.students.attempts.create', function ($trail, $subject, $user) {
    $trail->parent('subjects.students', $subject);
    $trail->push('Přidat klasifikaci', route('teacher.subjects.students.attempts.create', [$subject, $user]));
});

// Subject > Lessons
Breadcrumbs::for('subjects.lessons', function ($trail, $subject) {
    $trail->parent('subjects', $subject);
    $trail->push('Hodiny', route('teacher.subjects.lessons', $subject));
});

// Subject > Lessons > Edit
Breadcrumbs::for('subjects.lessons.edit', function ($trail, $subject, $lesson) {
    $trail->parent('subjects.lessons', $subject);
    $trail->push('Upravit hodinu', route('teacher.subjects.lessons.edit', [$subject, $lesson]));
});

// Subject > Lessons > Create
Breadcrumbs::for('subjects.lessons.create', function ($trail, $subject) {
    $trail->parent('subjects.lessons', $subject);
    $trail->push('Přidat hodinu', route('teacher.subjects.lessons.create', $subject));
});

// Subject > Exam dates
Breadcrumbs::for('subjects.exam-dates', function ($trail, $subject) {
    $trail->parent('subjects', $subject);
    $trail->push('Termíny', route('teacher.subjects.exam-dates', $subject));
});

// Subject > Exam dates > Edit
Breadcrumbs::for('subjects.exam-dates.edit', function ($trail, $subject, $examDate) {
    $trail->parent('subjects.exam-dates', $subject);
    $trail->push('Upravit termín', route('teacher.subjects.exam-dates.edit', [$subject, $examDate]));
});

// Subject > Exam dates > Create
Breadcrumbs::for('subjects.exam-dates.create', function ($trail, $subject) {
    $trail->parent('subjects.exam-dates', $subject);
    $trail->push('Přidat termín', route('teacher.subjects.exam-dates.create', $subject));
});

// Subject > Categories
Breadcrumbs::for('subjects.categories', function ($trail, $subject) {
    $trail->parent('subjects', $subject);
    $trail->push('Kategorie', route('teacher.subjects.categories', $subject));
});

// Subject > Categories > Edit
Breadcrumbs::for('subjects.categories.edit', function ($trail, $subject, $category) {
    $trail->parent('subjects.categories', $subject);
    $trail->push('Upravit kategorii', route('teacher.subjects.categories.edit', [$subject, $category]));
});

// Subject > Categories > Create
Breadcrumbs::for('subjects.categories.create', function ($trail, $subject) {
    $trail->parent('subjects.categories', $subject);
    $trail->push('Přidat kategorii', route('teacher.subjects.categories.create', $subject));
});

// Subject > Categories > Show
Breadcrumbs::for('subjects.categories.show', function ($trail, $subject, $category) {
    $trail->parent('subjects.categories', $subject);
    $trail->push($category->name, route('teacher.subjects.categories.show', [$subject, $category]));
});

// Subject > Categories > Show > Question create
Breadcrumbs::for('subjects.categories.show.questions.create', function ($trail, $subject, $category) {
    $trail->parent('subjects.categories.show', $subject, $category);
    $trail->push('Přidat úlohu', route('teacher.subjects.categories.show.questions.create', [$subject, $category]));
});

// Subject > Categories > Show > Question edit
Breadcrumbs::for('subjects.categories.show.questions.edit', function ($trail, $subject, $category, $question) {
    $trail->parent('subjects.categories.show', $subject, $category);
    $trail->push('Upravit úlohu', route('teacher.subjects.categories.show.questions.edit', [$subject, $category, $question]));
});

// Subject > Categories > Show > Question show
Breadcrumbs::for('subjects.categories.show.questions.show', function ($trail, $subject, $category, $question) {
    $trail->parent('subjects.categories.show', $subject, $category);
    $trail->push('Náhled úlohy', route('teacher.subjects.categories.show.questions.show', [$subject, $category, $question]));
});

// Admin
Breadcrumbs::for('admin', function ($trail) {
    $trail->push('Administrace', route('admin'));
});

// Admin > Settings edit
Breadcrumbs::for('admin.settings.edit', function ($trail) {
    $trail->parent('admin');
    $trail->push('Nastavení', route('admin.settings.edit'));
});

// Admin > Schedules years
Breadcrumbs::for('admin.years', function ($trail) {
    $trail->parent('admin');
    $trail->push('Harmonogram', route('admin.years'));
});

// Admin > Schedules years > Schedules
Breadcrumbs::for('admin.years.schedules', function ($trail, $year) {
    $trail->parent('admin.years');
    $trail->push('Harmonogram ' . $year . '. ročníku', route('admin.years.schedules', $year));
});

// Admin > Schedules years > Schedules > Create
Breadcrumbs::for('admin.years.schedules.create', function ($trail, $year) {
    $trail->parent('admin.years.schedules', $year);
    $trail->push('Přidat položku', route('admin.years.schedules.create', $year));
});

// Admin > Schedules years > Schedules > Edit
Breadcrumbs::for('admin.years.schedules.edit', function ($trail, $year, $schedule) {
    $trail->parent('admin.years.schedules', $year);
    $trail->push('Upravit položku', route('admin.years.schedules.edit', [$year, $schedule]));
});

// Admin > Admins
Breadcrumbs::for('admin.admins', function ($trail) {
    $trail->parent('admin');
    $trail->push('Administrátoři', route('admin.admins.index'));
});

// Admin > Admins > Create
Breadcrumbs::for('admin.admins.create', function ($trail) {
    $trail->parent('admin.admins');
    $trail->push('Přidat administrátora', route('admin.admins.create'));
});

// Admin > Admins > Show
Breadcrumbs::for('admin.admins.show', function ($trail, $user) {
    $trail->parent('admin.admins');
    $trail->push($user->lastname . ' ' . $user->firstname, route('admin.admins.show', $user));
});

// Admin > Admins > Edit
Breadcrumbs::for('admin.admins.edit', function ($trail, $user) {
    $trail->parent('admin.admins.show', $user);
    $trail->push('Upravit administrátora', route('admin.admins.edit', $user));
});

// Admin > Teachers
Breadcrumbs::for('admin.teachers', function ($trail) {
    $trail->parent('admin');
    $trail->push('Pedagogové', route('admin.teachers.index'));
});

// Admin > Teachers > Create
Breadcrumbs::for('admin.teachers.create', function ($trail) {
    $trail->parent('admin.teachers');
    $trail->push('Přidat pedagoga', route('admin.teachers.create'));
});

// Admin > Teachers > Show
Breadcrumbs::for('admin.teachers.show', function ($trail, $user) {
    $trail->parent('admin.teachers');
    $trail->push($user->lastname . ' ' . $user->firstname, route('admin.teachers.show', $user));
});

// Admin > Teachers > Edit
Breadcrumbs::for('admin.teachers.edit', function ($trail, $user) {
    $trail->parent('admin.teachers.show', $user);
    $trail->push('Upravit pedagoga', route('admin.teachers.edit', $user));
});

// Admin > Students
Breadcrumbs::for('admin.students', function ($trail) {
    $trail->parent('admin');
    $trail->push('Studenti', route('admin.students.index'));
});

// Admin > Students > Create
Breadcrumbs::for('admin.students.create', function ($trail) {
    $trail->parent('admin.students');
    $trail->push('Přidat studenta', route('admin.students.create'));
});

// Admin > Students > Show
Breadcrumbs::for('admin.students.show', function ($trail, $user) {
    $trail->parent('admin.students');
    $trail->push($user->lastname . ' ' . $user->firstname, route('admin.students.show', $user));
});

// Admin > Students > Edit
Breadcrumbs::for('admin.students.edit', function ($trail, $user) {
    $trail->parent('admin.students.show', $user);
    $trail->push('Upravit studenta', route('admin.students.edit', $user));
});

// Admin > Fields
Breadcrumbs::for('admin.fields', function ($trail) {
    $trail->parent('admin');
    $trail->push('Obory', route('admin.fields.index'));
});

// Admin > Fields > Create
Breadcrumbs::for('admin.fields.create', function ($trail) {
    $trail->parent('admin.fields');
    $trail->push('Přidat obor', route('admin.fields.create'));
});

// Admin > Fields > Show
Breadcrumbs::for('admin.fields.show', function ($trail, $field) {
    $trail->parent('admin.fields');
    $trail->push($field->name, route('admin.fields.show', $field));
});

// Admin > Fields > Edit
Breadcrumbs::for('admin.fields.edit', function ($trail, $field) {
    $trail->parent('admin.fields.show', $field);
    $trail->push('Upravit obor', route('admin.fields.edit', $field));
});

// Admin > Fields > Subjects
Breadcrumbs::for('admin.fields.subjects', function ($trail, $field) {
    $trail->parent('admin.fields.show', $field);
    $trail->push('Přidat předměty', route('admin.fields.subjects', $field));
});


// Admin > Subjects
Breadcrumbs::for('admin.subjects', function ($trail) {
    $trail->parent('admin');
    $trail->push('Předměty', route('admin.subjects.index'));
});

// Admin > Subjects > Create
Breadcrumbs::for('admin.subjects.create', function ($trail) {
    $trail->parent('admin.subjects');
    $trail->push('Přidat předmět', route('admin.subjects.create'));
});

// Admin > Subjects > Show
Breadcrumbs::for('admin.subjects.show', function ($trail, $subject) {
    $trail->parent('admin.subjects');
    $trail->push($subject->name, route('admin.subjects.show', $subject));
});

// Admin > Subjects > Edit
Breadcrumbs::for('admin.subjects.edit', function ($trail, $subject) {
    $trail->parent('admin.subjects.show', $subject);
    $trail->push('Upravit předmět', route('admin.subjects.edit', $subject));
});

// Admin > Subjects > Teachers
Breadcrumbs::for('admin.subjects.teachers', function ($trail, $subject) {
    $trail->parent('admin.subjects.show', $subject);
    $trail->push('Pedagogové předmětu', route('admin.subjects.teachers', $subject));
});

// Student > Subjects
Breadcrumbs::for('student.subjects', function ($trail) {
    $trail->parent('admin');
    $trail->push('Zápis předmětů', route('student.subjects.index'));
});

// Student > Lessons
Breadcrumbs::for('student.lessons', function ($trail) {
    $trail->parent('admin');
    $trail->push('Tvorba rozvrhu', route('student.lessons'));
});

// Student > Classification
Breadcrumbs::for('student.classification', function ($trail) {
    $trail->parent('admin');
    $trail->push('Klasifikace', route('student.classification'));
});

// Student > Exam-dates
Breadcrumbs::for('student.exam-dates', function ($trail) {
    $trail->parent('admin');
    $trail->push('Zápis termínů', route('student.exam-dates'));
});

// Student > Schedules years
Breadcrumbs::for('student.years', function ($trail) {
    $trail->parent('admin');
    $trail->push('Harmonogram', route('student.years'));
});

// Student > Schedules years > Schedules
Breadcrumbs::for('student.years.schedules', function ($trail, $year) {
    $trail->parent('student.years');
    $trail->push('Harmonogram ' . $year . '. ročníku', route('student.years.schedules', $year));
});
