module.exports = {
  purge: [
    './resources/views/**/*.blade.php',
    './resources/css/**/*.css',
  ],
    theme: {
        extend: {
            fontSize: {
                'xs': '.75rem'
            },
            colors: {
                'amber': {
                    50: '#fffbeb',
                    100: '#fef3c7',
                    200: '#fde68a',
                    300: '#fcd34d',
                    400: '#fbbf24',
                    500: '#f59e0b',
                    600: '#d97706',
                    700: '#b45309',
                    800: '#92400e',
                    900: '#78350f',
                },
                'lime': {
                    50: '#f7fee7',
                    100: '#ecfccb',
                    200: '#d9f99d',
                    300: '#bef264',
                    400: '#a3e635',
                    500: '#84cc16',
                    600: '#65a30d',
                    700: '#4d7c0f',
                    800: '#3f6212',
                    900: '#365314',
                },
                'cyan': {
                    50: '#ecfeff',
                    100: '#cffafe',
                    200: '#a5f3fc',
                    300: '#67e8f9',
                    400: '#22d3ee',
                    500: '#06b6d4',
                    600: '#0891b2',
                    700: '#0e7490',
                    800: '#155e75',
                    900: '#164e63',
                },
                'violet': {
                    50: '#f5f3ff',
                    100: '#f5f3ff',
                    200: '#ddd6fe',
                    300: '#c4b5fd',
                    400: '#a78bfa',
                    500: '#8b5cf6',
                    600: '#7c3aed',
                    700: '#6d28d9',
                    800: '#5b21b6',
                    900: '#4c1d95',
                },
                'rose': {
                    50: '#fff1f2',
                    100: '#ffe4e6',
                    200: '#fecdd3',
                    300: '#fda4af',
                    400: '#fb7185',
                    500: '#f43f5e',
                    600: '#e11d48',
                    700: '#be123c',
                    800: '#9f1239',
                    900: '#881337',
                },
                'lemon': {
                    '50':  '#fbfaf4',
                    '100': '#f8f0c4',
                    '200': '#efde8b',
                    '300': '#d7ba57',
                    '400': '#b49030',
                    '500': '#947118',
                    '600': '#77570f',
                    '700': '#5b410e',
                    '800': '#3d2c0c',
                    '900': '#281b09',
                },
                'navy': {
                    '50':  '#f5f8f9',
                    '100': '#e1f1f8',
                    '200': '#bee0f1',
                    '300': '#8cc0dd',
                    '400': '#569cc3',
                    '500': '#407ba9',
                    '600': '#35608d',
                    '700': '#2b486d',
                    '800': '#1f314d',
                    '900': '#131e32',
                },
                'viridian': {
                    '50':  '#f4f7f6',
                    '100': '#e1f0f0',
                    '200': '#bae4dc',
                    '300': '#83c7b7',
                    '400': '#43a58a',
                    '500': '#2f8763',
                    '600': '#286f4a',
                    '700': '#22543a',
                    '800': '#19392b',
                    '900': '#10231f',
                },
                'green': {
                    '50':  '#f5f7f1',
                    '100': '#e8f0d8',
                    '200': '#c9e5aa',
                    '300': '#93c974',
                    '400': '#4ba745',
                    '500': '#348c25',
                    '600': '#2b751a',
                    '700': '#255a17',
                    '800': '#1b3d13',
                    '900': '#132610',
                },
            }
        },
    },
  variants: {},
  plugins: [
    require('@tailwindcss/ui'),
  ]
}
